/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.client.impl.cldr;
// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA

/**
 * Implementation of DateTimeFormatInfo for the "kkj" locale.
 */
public class DateTimeFormatInfoImpl_kkj extends DateTimeFormatInfoImpl {

  @Override
  public String dateFormatFull() {
    return "EEEE dd MMMM y";
  }

  @Override
  public String dateFormatLong() {
    return "d MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "d MMM y";
  }

  @Override
  public String dateFormatShort() {
    return "dd/MM y";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "BCE",
        "CE"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "BCE",
        "CE"
    };
  }

  @Override
  public String formatMonthAbbrevDay() {
    return "d MMM";
  }

  @Override
  public String formatMonthFullDay() {
    return "d MMMM";
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE d MMMM";
  }

  @Override
  public String formatMonthNumDay() {
    return "dd/MM";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "d MMM y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d MMMM y";
  }

  @Override
  public String formatYearMonthNum() {
    return "MM y";
  }

  @Override
  public String formatYearMonthNumDay() {
    return "dd/MM y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE d MMM y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "pamba",
        "wanja",
        "mbiyɔ mɛndoŋgɔ",
        "Nyɔlɔmbɔŋgɔ",
        "Mɔnɔ ŋgbanja",
        "Nyaŋgwɛ ŋgbanja",
        "kuŋgwɛ",
        "fɛ",
        "njapi",
        "nyukul",
        "11",
        "ɓulɓusɛ"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "1",
        "2",
        "3",
        "4",
        "5",
        "6",
        "7",
        "8",
        "9",
        "10",
        "11",
        "12"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "pamba",
        "wanja",
        "mbiyɔ mɛndoŋgɔ",
        "Nyɔlɔmbɔŋgɔ",
        "Mɔnɔ ŋgbanja",
        "Nyaŋgwɛ ŋgbanja",
        "kuŋgwɛ",
        "fɛ",
        "njapi",
        "nyukul",
        "11",
        "ɓulɓusɛ"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "Q1",
        "Q2",
        "Q3",
        "Q4"
    };
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "sɔndi",
        "lundi",
        "mardi",
        "mɛrkɛrɛdi",
        "yedi",
        "vaŋdɛrɛdi",
        "mɔnɔ sɔndi"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "so",
        "lu",
        "ma",
        "mɛ",
        "ye",
        "va",
        "ms"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "sɔndi",
        "lundi",
        "mardi",
        "mɛrkɛrɛdi",
        "yedi",
        "vaŋdɛrɛdi",
        "mɔnɔ sɔndi"
    };
  }
}
