/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.client.impl.cldr;
// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA

/**
 * Implementation of DateTimeFormatInfo for the "shi" locale.
 */
public class DateTimeFormatInfoImpl_shi extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "ⵜⵉⴼⴰⵡⵜ",
        "ⵜⴰⴷⴳⴳⵯⴰⵜ"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE d MMMM y";
  }

  @Override
  public String dateFormatLong() {
    return "d MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "d MMM, y";
  }

  @Override
  public String dateFormatShort() {
    return "d/M/y";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "ⴷⴰⵜ ⵏ ⵄⵉⵙⴰ",
        "ⴷⴼⴼⵉⵔ ⵏ ⵄⵉⵙⴰ"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "ⴷⴰⵄ",
        "ⴷⴼⵄ"
    };
  }

  @Override
  public String formatMinuteSecond() {
    return "m:ss";
  }

  @Override
  public String formatMonthAbbrev() {
    return "MMM";
  }

  @Override
  public String formatMonthAbbrevDay() {
    return "d MMM";
  }

  @Override
  public String formatMonthFull() {
    return "MMMM";
  }

  @Override
  public String formatMonthFullDay() {
    return "d MMMM";
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE d MMMM";
  }

  @Override
  public String formatMonthNumDay() {
    return "d/M";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "d MMM, y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d MMMM y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearMonthNumDay() {
    return "d/M/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE d MMM y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "ⵉⵏⵏⴰⵢⵔ",
        "ⴱⵕⴰⵢⵕ",
        "ⵎⴰⵕⵚ",
        "ⵉⴱⵔⵉⵔ",
        "ⵎⴰⵢⵢⵓ",
        "ⵢⵓⵏⵢⵓ",
        "ⵢⵓⵍⵢⵓⵣ",
        "ⵖⵓⵛⵜ",
        "ⵛⵓⵜⴰⵏⴱⵉⵔ",
        "ⴽⵜⵓⴱⵔ",
        "ⵏⵓⵡⴰⵏⴱⵉⵔ",
        "ⴷⵓⵊⴰⵏⴱⵉⵔ"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "ⵉ",
        "ⴱ",
        "ⵎ",
        "ⵉ",
        "ⵎ",
        "ⵢ",
        "ⵢ",
        "ⵖ",
        "ⵛ",
        "ⴽ",
        "ⵏ",
        "ⴷ"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "ⵉⵏⵏ",
        "ⴱⵕⴰ",
        "ⵎⴰⵕ",
        "ⵉⴱⵔ",
        "ⵎⴰⵢ",
        "ⵢⵓⵏ",
        "ⵢⵓⵍ",
        "ⵖⵓⵛ",
        "ⵛⵓⵜ",
        "ⴽⵜⵓ",
        "ⵏⵓⵡ",
        "ⴷⵓⵊ"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "ⴰⴽⵕⴰⴹⵢⵓⵔ 1",
        "ⴰⴽⵕⴰⴹⵢⵓⵔ 2",
        "ⴰⴽⵕⴰⴹⵢⵓⵔ 3",
        "ⴰⴽⵕⴰⴹⵢⵓⵔ 4"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "ⴰⴽ 1",
        "ⴰⴽ 2",
        "ⴰⴽ 3",
        "ⴰⴽ 4"
    };
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "ⴰⵙⴰⵎⴰⵙ",
        "ⴰⵢⵏⴰⵙ",
        "ⴰⵙⵉⵏⴰⵙ",
        "ⴰⴽⵕⴰⵙ",
        "ⴰⴽⵡⴰⵙ",
        "ⵙⵉⵎⵡⴰⵙ",
        "ⴰⵙⵉⴹⵢⴰⵙ"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "ⴰⵙⴰ",
        "ⴰⵢⵏ",
        "ⴰⵙⵉ",
        "ⴰⴽⵕ",
        "ⴰⴽⵡ",
        "ⴰⵙⵉⵎ",
        "ⴰⵙⵉⴹ"
    };
  }
}
