/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.client.impl.cldr;

import com.google.gwt.core.client.JavaScriptObject;

// DO NOT EDIT - GENERATED FROM CLDR DATA

/**
 * Localized names for the "dz" locale.
 */
public class LocalizedNamesImpl_dz extends LocalizedNamesImpl {

  @Override
  public String[] loadSortedRegionCodes() {
    return new String[] {
        "XK",
        "QA",
        "IC",
        "KZ",
        "KH",
        "KI",
        "CP",
        "CU",
        "KG",
        "KW",
        "CK",
        "CA",
        "CM",
        "BQ",
        "KE",
        "CV",
        "CC",
        "CI",
        "KM",
        "CO",
        "CD",
        "CG",
        "CR",
        "CW",
        "HR",
        "CX",
        "KY",
        "GL",
        "GR",
        "GU",
        "GG",
        "GF",
        "GP",
        "GD",
        "GH",
        "GA",
        "GY",
        "GN",
        "GW",
        "GM",
        "GT",
        "TD",
        "CL",
        "CZ",
        "JP",
        "JM",
        "DE",
        "DJ",
        "GI",
        "JE",
        "JO",
        "GE",
        "TZ",
        "TW",
        "TR",
        "TM",
        "TT",
        "TN",
        "TG",
        "TO",
        "DG",
        "DK",
        "DM",
        "DO",
        "TJ",
        "TL",
        "TV",
        "TC",
        "TK",
        "TA",
        "TH",
        "NA",
        "NR",
        "NE",
        "NG",
        "NI",
        "NU",
        "NC",
        "NZ",
        "EH",
        "NL",
        "NF",
        "NO",
        "PK",
        "PA",
        "PG",
        "PY",
        "PW",
        "PN",
        "PR",
        "PE",
        "PS",
        "PL",
        "PT",
        "FK",
        "FO",
        "FJ",
        "PH",
        "FI",
        "TF",
        "FR",
        "PF",
        "VA",
        "BD",
        "BM",
        "NP",
        "BG",
        "VE",
        "VN",
        "BY",
        "BV",
        "KP",
        "MP",
        "BR",
        "IO",
        "BH",
        "BS",
        "BF",
        "BB",
        "BI",
        "BJ",
        "BO",
        "BZ",
        "BE",
        "BW",
        "BA",
        "BN",
        "MG",
        "MW",
        "MY",
        "MK",
        "MO",
        "FM",
        "MH",
        "ML",
        "MQ",
        "MT",
        "MV",
        "MM",
        "YT",
        "MX",
        "MC",
        "MZ",
        "MR",
        "MU",
        "MA",
        "ME",
        "MS",
        "MD",
        "ZM",
        "ZW",
        "VU",
        "VG",
        "VI",
        "WF",
        "BT",
        "AQ",
        "UA",
        "UG",
        "GB",
        "AE",
        "UY",
        "EU",
        "UM",
        "US",
        "YE",
        "RW",
        "RE",
        "RO",
        "IN",
        "CN",
        "LU",
        "LV",
        "LA",
        "LR",
        "LT",
        "LY",
        "LI",
        "LB",
        "LS",
        "KR",
        "LK",
        "WS",
        "AS",
        "ST",
        "SM",
        "SA",
        "CY",
        "GS",
        "SS",
        "ZA",
        "RS",
        "SL",
        "SY",
        "SG",
        "PM",
        "SX",
        "SD",
        "SZ",
        "CH",
        "SR",
        "SK",
        "SI",
        "SE",
        "SN",
        "SC",
        "EA",
        "CF",
        "KN",
        "BL",
        "MF",
        "VC",
        "LC",
        "SH",
        "SO",
        "SB",
        "MN",
        "SJ",
        "HU",
        "HN",
        "HM",
        "HT",
        "HK",
        "AZ",
        "IM",
        "AW",
        "AX",
        "AI",
        "AO",
        "AG",
        "AF",
        "AR",
        "AM",
        "IE",
        "AD",
        "IS",
        "DZ",
        "AL",
        "AT",
        "AU",
        "EG",
        "IT",
        "ET",
        "IQ",
        "IR",
        "ID",
        "ES",
        "IL",
        "RU",
        "UZ",
        "GQ",
        "EC",
        "ER",
        "AC",
        "SV",
        "EE",
        "OM",
        "QO",
    };
  }

  @Override
  protected void loadNameMapJava() {
    super.loadNameMapJava();
    namesMap.put("001", "འཛམ་གླིང༌");
    namesMap.put("002", "ཨཕ་རི་ཀ");
    namesMap.put("003", "བྱང་ཨ་མི་རི་ཀ");
    namesMap.put("005", "ལྷོ་ཨ་མི་རི་ཀ");
    namesMap.put("009", "ཨོཤི་ཡཱན་ན");
    namesMap.put("011", "ནུབ་ཕྱོགས་ཀྱི་ཨཕ་རི་ཀ");
    namesMap.put("013", "བར་ཕྱོགས་ཨ་མི་རི་ཀ");
    namesMap.put("014", "ཤར་ཕྱོགས་ཀྱི་ཨཕ་རི་ཀ");
    namesMap.put("015", "བྱང་ཕྱོགས་ཀྱི་ཨཕ་རི་ཀ");
    namesMap.put("017", "སྦུག་ཕྱོགས་ཀྱི་ཨཕ་རི་ཀ");
    namesMap.put("018", "ལྷོའི་ཨཕ་རི་ཀ");
    namesMap.put("019", "ཨ་མི་རི་ཀ་ཚུ");
    namesMap.put("021", "བྱང་ཕྱོགས་ཀྱི་ཨ་མི་རི་ཀ");
    namesMap.put("029", "ཀེ་རི་བི་ཡེན");
    namesMap.put("030", "ཤར་ཕྱོགས་ཀྱི་ཨེ་ཤི་ཡ");
    namesMap.put("034", "ལྷོའི་ཨེ་ཤི་ཡ");
    namesMap.put("035", "ལྷོ་ཤར་ཕྱོགས་ཀྱི་ཨེ་ཤི་ཡ");
    namesMap.put("039", "ལྷོའི་ཡུ་རོབ");
    namesMap.put("053", "ཨཱོས་ཊྲེལ་ཨེ་ཤི་ཡ");
    namesMap.put("054", "མེ་ལ་ནི་ཤི་ཡ");
    namesMap.put("057", "ལུང་ཕྱོགས་མའི་ཀྲོ་ནི་ཤི་ཡ");
    namesMap.put("061", "པོ་ལི་ནི་ཤི་ཡ");
    namesMap.put("142", "ཨེ་ཤི་ཡ");
    namesMap.put("143", "སྦུག་ཕྱོགས་ཀྱི་ཨེ་ཤི་ཡ");
    namesMap.put("145", "ནུབ་ཕྱོགས་ཀྱི་ཨེ་ཤི་ཡ");
    namesMap.put("150", "ཡུ་རོབ");
    namesMap.put("151", "ཤར་ཕྱོགས་ཀྱི་ཡུ་རོབ");
    namesMap.put("154", "བྱང་ཕྱོགས་ཀྱི་ཡུ་རོབ");
    namesMap.put("155", "ནུབ་ཕྱོགས་ཀྱི་ཡུ་རོབ");
    namesMap.put("419", "ལེ་ཊིནཨ་མི་རི་ཀ");
    namesMap.put("AC", "ཨེ་སེན་ཤུན་ཚོ་གླིང༌");
    namesMap.put("AD", "ཨཱན་དོ་ར");
    namesMap.put("AE", "ཡུ་ནཱའི་ཊེཌ་ ཨ་རབ་ ཨེ་མེ་རེཊས");
    namesMap.put("AF", "ཨཕ་གྷ་ནི་སཏཱན");
    namesMap.put("AG", "ཨན་ཊི་གུ་ཝ་ ཨེནཌ་ བྷར་བྷུ་ཌ");
    namesMap.put("AI", "ཨང་གི་ལ");
    namesMap.put("AL", "ཨཱལ་བེ་ནི་ཡ");
    namesMap.put("AM", "ཨར་མི་ནི་ཡ");
    namesMap.put("AO", "ཨང་གྷོ་ལ");
    namesMap.put("AQ", "འཛམ་གླིང་ལྷོ་མཐའི་ཁྱགས་གླིང");
    namesMap.put("AR", "ཨར་ཇེན་ཊི་ན");
    namesMap.put("AS", "ས་མོ་ཨ་ཡུ་ཨེས་ཨེ་མངའ་ཁོངས");
    namesMap.put("AT", "ཨཱོས་ཊྲི་ཡ");
    namesMap.put("AU", "ཨཱོས་ཊྲེལ་ལི་ཡ");
    namesMap.put("AW", "ཨ་རུ་བཱ");
    namesMap.put("AX", "ཨ་ལནཌ་གླིང་ཚོམ");
    namesMap.put("AZ", "ཨ་ཛར་བྷའི་ཇཱན");
    namesMap.put("BA", "བྷོས་ནི་ཡ་ ཨེནཌ་ ཧར་ཛི་གྷོ་བི་ན");
    namesMap.put("BB", "བྷར་བེ་ཌོས");
    namesMap.put("BD", "བངྒ་ལ་དེཤ");
    namesMap.put("BE", "བྷེལ་ཇམ");
    namesMap.put("BF", "བྷར་ཀི་ན་ ཕེ་སོ");
    namesMap.put("BG", "བུལ་ག་རི་ཡ");
    namesMap.put("BH", "བྷ་རེན");
    namesMap.put("BI", "བྷུ་རུན་ཌི");
    namesMap.put("BJ", "བྷེ་ནིན");
    namesMap.put("BL", "སེནཊ་ བར་ཐོ་ལོམ་མིའུ");
    namesMap.put("BM", "བར་མུ་ཌ");
    namesMap.put("BN", "བྷྲུ་ནའི");
    namesMap.put("BO", "བྷེ་ལི་བི་ཡ");
    namesMap.put("BQ", "ཀེ་རི་བི་ཡེན་ནེ་དར་ལནཌས྄");
    namesMap.put("BR", "བྲ་ཛིལ");
    namesMap.put("BS", "བྷ་ཧ་མས྄");
    namesMap.put("BT", "འབྲུག");
    namesMap.put("BV", "བོའུ་ཝེཊ་མཚོ་གླིང");
    namesMap.put("BW", "བྷོཙ་ཝ་ན");
    namesMap.put("BY", "བེལ་ཨ་རུ་སུ");
    namesMap.put("BZ", "བྷེ་ལིཛ");
    namesMap.put("CA", "ཀེ་ན་ཌ");
    namesMap.put("CC", "ཀོ་ཀོས་གླིང་ཚོམ");
    namesMap.put("CD", "ཀོང་གྷོ ཀིན་ཤ་ས");
    namesMap.put("CF", "སེན་ཊལ་ ཨཕ་རི་ཀཱན་ རི་པབ་ལིཀ");
    namesMap.put("CG", "ཀོང་གྷོ བྷྲ་ཛ་བིལ");
    namesMap.put("CH", "སུ་ཝིཊ་ཛར་ལེནཌ");
    namesMap.put("CI", "ཀོ་ཊེ་ ཌི་ཨི་ཝོ་རེ");
    namesMap.put("CK", "ཀུག་གླིང་ཚོམ");
    namesMap.put("CL", "ཅི་ལི");
    namesMap.put("CM", "ཀེ་མ་རུན");
    namesMap.put("CN", "རྒྱ་ནག");
    namesMap.put("CO", "ཀོ་ལོམ་བྷི་ཡ");
    namesMap.put("CP", "ཀི་ལི་པེར་ཊོན་མཚོ་གླིང་");
    namesMap.put("CR", "ཀོས་ཊ་རི་ཀ");
    namesMap.put("CU", "ཀིའུ་བྷ");
    namesMap.put("CV", "ཀེཔ་བཱཌ");
    namesMap.put("CW", "ཀྱཱུར་ར་ཀོ");
    namesMap.put("CX", "ཁི་རིསྟ་མེས་མཚོ་གླིང");
    namesMap.put("CY", "སཱའི་པྲས");
    namesMap.put("CZ", "ཅེཀ་ རི་པབ་ལིཀ");
    namesMap.put("DE", "ཇཱར་མ་ནི");
    namesMap.put("DG", "ཌི་ཡེ་གོ་གར་སིའོ");
    namesMap.put("DJ", "ཇི་བྷུ་ཊི");
    namesMap.put("DK", "ཌེན་མཱཀ");
    namesMap.put("DM", "ཌོ་མི་ནི་ཀ");
    namesMap.put("DO", "ཌོ་མི་ནི་ཀཱན་ རི་པབ་ལིཀ");
    namesMap.put("DZ", "ཨཱལ་ཇི་རི་ཡ");
    namesMap.put("EA", "སེ་ཨུ་ཏ་ ཨེནཌ་ མེལ་ལི་ལ");
    namesMap.put("EC", "ཨེ་ཁྭ་ཌོར");
    namesMap.put("EE", "ཨེས་ཊོ་ནི་ཡ");
    namesMap.put("EG", "ཨི་ཇིབཊ");
    namesMap.put("EH", "ནུབ་ཕྱོགས་ ས་ཧཱ་ར");
    namesMap.put("ER", "ཨེ་རི་ཊྲེ་ཡ");
    namesMap.put("ES", "ཨིས་པེན");
    namesMap.put("ET", "ཨི་ཐི་ཡོ་པི་ཡ");
    namesMap.put("EU", "ཡུ་རོབ་གཅིག་བསྡོམས་ཚོགས་པ");
    namesMap.put("FI", "ཕིན་ལེནཌ");
    namesMap.put("FJ", "ཕི་ཇི");
    namesMap.put("FK", "ཕལྐ་ལནྜ་གླིང་ཚོམ");
    namesMap.put("FM", "མའི་ཀྲོ་ནི་ཤི་ཡ");
    namesMap.put("FO", "ཕཱའེ་རོ་གླིང་ཚོམ");
    namesMap.put("FR", "ཕྲཱནས");
    namesMap.put("GA", "གྷ་བྷོན");
    namesMap.put("GB", "ཡུ་ནཱའི་ཊེཌ་ ཀིང་ཌམ");
    namesMap.put("GD", "གྲྀ་ན་ཌ");
    namesMap.put("GE", "ཇཽར་ཇཱ");
    namesMap.put("GF", "གུའི་ཡ་ན་ ཕྲནས྄་མངའ་ཁོངས");
    namesMap.put("GG", "གུ་ཨེརྣ་སི");
    namesMap.put("GH", "གྷ་ན");
    namesMap.put("GI", "ཇིབ་རཱལ་ཊར");
    namesMap.put("GL", "གིརཱིན་ལནཌ྄");
    namesMap.put("GM", "གྷེམ་བི་ཡ");
    namesMap.put("GN", "གྷི་ནི");
    namesMap.put("GP", "གོ་ཌེ་ལུ་པེ");
    namesMap.put("GQ", "ཨེ་ཀུ་ཊོ་རེལ་ གི་ནི");
    namesMap.put("GR", "གིརིས྄");
    namesMap.put("GS", "སཱའུཐ་ཇཽར་ཇཱ་ དང་ སཱའུཐ་སེནཌ྄་ཝིཅ་གླིང་ཚོམ");
    namesMap.put("GT", "གྷོ་ཊ་མ་ལ");
    namesMap.put("GU", "གུ་འམ་ མཚོ་གླིང");
    namesMap.put("GW", "གྷི་ནི་ བྷི་སཱའུ");
    namesMap.put("GY", "གྷ་ཡ་ན");
    namesMap.put("HK", "ཧོང་ཀོང་ཅཱའི་ན");
    namesMap.put("HM", "ཧཱརཌ་མཚོ་གླིང་ དང་ མེཀ་ཌོ་ནལཌ྄་གླིང་ཚོམ");
    namesMap.put("HN", "ཧཱན་ཌུ་རཱས྄");
    namesMap.put("HR", "ཀྲོ་ཨེ་ཤ");
    namesMap.put("HT", "ཧེ་ཊི");
    namesMap.put("HU", "ཧཱང་གྷ་རི");
    namesMap.put("IC", "ཀ་ནེ་རི་གླིང་ཚོམ");
    namesMap.put("ID", "ཨིན་ཌོ་ནེ་ཤི་ཡ");
    namesMap.put("IE", "ཨཱ་ཡ་ལེནཌ");
    namesMap.put("IL", "ཨིས་ར་ཡེལ");
    namesMap.put("IM", "ཨ་ཡུལ་ ཨོཕ་ མཱན");
    namesMap.put("IN", "རྒྱ་གར");
    namesMap.put("IO", "བྲི་ཊིཤ་རྒྱ་གར་གྱི་རྒྱ་མཚོ་ས་ཁོངས");
    namesMap.put("IQ", "ཨི་རཱཀ");
    namesMap.put("IR", "ཨི་རཱན");
    namesMap.put("IS", "ཨཱའིས་ལེནཌ");
    namesMap.put("IT", "ཨི་ཊ་ལི");
    namesMap.put("JE", "ཇེར་སི");
    namesMap.put("JM", "ཇཱ་མཻ་ཀ");
    namesMap.put("JO", "ཇོར་ཌན");
    namesMap.put("JP", "ཇ་པཱན");
    namesMap.put("KE", "ཀེན་ཡ");
    namesMap.put("KG", "ཀིར་གིས་སཏཱན");
    namesMap.put("KH", "ཀམ་བྷོ་ཌི་ཡ");
    namesMap.put("KI", "ཀི་རི་བ་ཏི་མཚོ་གླིང");
    namesMap.put("KM", "ཀོ་མོ་རོས");
    namesMap.put("KN", "སེནཊ་ ཀིཊས་ དང་ ནེ་བིས");
    namesMap.put("KP", "བྱང་ ཀོ་རི་ཡ");
    namesMap.put("KR", "ལྷོ་ ཀོ་རི་ཡ");
    namesMap.put("KW", "ཀུ་ཝེཊ");
    namesMap.put("KY", "ཁེ་མེན་གླིང་ཚོམ");
    namesMap.put("KZ", "ཀ་ཛགས་སཏཱན");
    namesMap.put("LA", "ལཱ་ཝོས");
    namesMap.put("LB", "ལེ་བ་ནོན");
    namesMap.put("LC", "སེནཊ་ ལུ་སི་ཡ");
    namesMap.put("LI", "ལིཀ་ཏནས་ཏ་ཡིན");
    namesMap.put("LK", "ཤྲཱི་ལང་ཀ");
    namesMap.put("LR", "ལཱའི་བེ་རི་ཡ");
    namesMap.put("LS", "ལཻ་སོ་ཐོ");
    namesMap.put("LT", "ལི་ཐུ་ཝེ་ནི་ཡ");
    namesMap.put("LU", "ལག་ཛམ་བོརྒ");
    namesMap.put("LV", "ལཊ་བི་ཡ");
    namesMap.put("LY", "ལི་བི་ཡ");
    namesMap.put("MA", "མོ་རོ་ཀོ");
    namesMap.put("MC", "མོ་ན་ཀོ");
    namesMap.put("MD", "མོལ་དོ་བཱ");
    namesMap.put("ME", "མོན་ཊི་ནེག་རོ");
    namesMap.put("MF", "སེནཊ་ མཱར་ཊིན");
    namesMap.put("MG", "མ་དཱ་གེས་ཀར");
    namesMap.put("MH", "མར་ཤེལ་གླིང་ཚོམ");
    namesMap.put("MK", "མ་སེ་ཌོ་ནི་ཡ");
    namesMap.put("ML", "མཱ་ལི");
    namesMap.put("MM", "མི་ཡཱན་མར་ (བྷར་མ)");
    namesMap.put("MN", "སོག་པོ་ཡུལ");
    namesMap.put("MO", "མཀ་ཨའུ་ཅཱའི་ན");
    namesMap.put("MP", "བྱང་ཕྱོགས་ཀྱི་མ་ར་ཡ་ན་གླིང་ཚོམ");
    namesMap.put("MQ", "མཱར་ཊི་ནིཀ");
    namesMap.put("MR", "མོ་རི་ཊེ་ནི་ཡ");
    namesMap.put("MS", "མོན་ས་རཊ");
    namesMap.put("MT", "མཱལ་ཊ");
    namesMap.put("MU", "མོ་རི་ཤཱས");
    namesMap.put("MV", "མཱལ་དིབས");
    namesMap.put("MW", "མ་ལ་ཝི");
    namesMap.put("MX", "མེཀ་སི་ཀོ");
    namesMap.put("MY", "མ་ལེ་ཤི་ཡ");
    namesMap.put("MZ", "མོ་ཛམ་བྷིཀ");
    namesMap.put("NA", "ན་མི་བི་ཡ");
    namesMap.put("NC", "ནིའུ་ཀ་ལི་དོ་ནི་ཡ");
    namesMap.put("NE", "ནཱའི་ཇཱ");
    namesMap.put("NF", "ནོར་ཕོལཀ་མཚོ་གླིང༌");
    namesMap.put("NG", "ནཱའི་ཇི་རི་ཡ");
    namesMap.put("NI", "ནི་ཀྲ་ཝ་ག");
    namesMap.put("NL", "ནེ་དར་ལནཌས྄");
    namesMap.put("NO", "ནོར་ཝེ");
    namesMap.put("NP", "བལ་ཡུལ");
    namesMap.put("NR", "ནའུ་རུ་");
    namesMap.put("NU", "ནི་ཨུ་ཨཻ");
    namesMap.put("NZ", "ནིའུ་ཛི་ལེནཌ");
    namesMap.put("OM", "ཨོ་མཱན");
    namesMap.put("PA", "པ་ན་མ");
    namesMap.put("PE", "པེ་རུ");
    namesMap.put("PF", "ཕྲཱནས྄་ཀྱི་པོ་ལི་ནི་ཤི་ཡ");
    namesMap.put("PG", "པ་པུ་ ནིའུ་གི་ནི");
    namesMap.put("PH", "ཕི་ལི་པིནས");
    namesMap.put("PK", "པ་ཀི་སཏཱན");
    namesMap.put("PL", "པོ་ལེནཌ");
    namesMap.put("PM", "སིནཊ་པི་ཡེར་ ཨེནཌ་ མིཀོ་ལེན");
    namesMap.put("PN", "པིཊ་ཀེ་ཡེརན་གླིང་ཚོམ");
    namesMap.put("PR", "པུ་འེར་ཊོ་རི་ཁོ");
    namesMap.put("PS", "པེ་ལིསི་ཊི་ནི་ཡན་ཊེ་རི་ཐོ་རི");
    namesMap.put("PT", "པོར་ཅུ་གཱལ");
    namesMap.put("PW", "པ་ལའུ");
    namesMap.put("PY", "པ་ར་གུ་ཝའི");
    namesMap.put("QA", "ཀ་ཊར");
    namesMap.put("QO", "ཨོཤི་ཡཱན་ན་གྱི་མཐའ་མཚམས");
    namesMap.put("RE", "རེ་ཡུ་ནི་ཡོན");
    namesMap.put("RO", "རོ་མེ་ནི་ཡ");
    namesMap.put("RS", "སཱར་བྷི་ཡ");
    namesMap.put("RU", "ཨུ་རུ་སུ");
    namesMap.put("RW", "རུ་ཝན་ཌ");
    namesMap.put("SA", "སཱཝ་དི་ ཨ་རེ་བྷི་ཡ");
    namesMap.put("SB", "སོ་ལོ་མོན་ གླིང་ཚོམ");
    namesMap.put("SC", "སེ་ཤཱལས");
    namesMap.put("SD", "སུ་ཌཱན");
    namesMap.put("SE", "སུའི་ཌེན");
    namesMap.put("SG", "སིང་ག་པོར");
    namesMap.put("SH", "སེནཊ་ ཧེ་ལི་ན");
    namesMap.put("SI", "སུ་ལོ་བི་ནི་ཡ");
    namesMap.put("SJ", "སྭཱལ་བྷརྡ་ ཨེནཌ་ ཇཱན་མ་ཡེན");
    namesMap.put("SK", "སུ་ལོ་བཱ་ཀི་ཡ");
    namesMap.put("SL", "སི་ར་ ལི་འོན");
    namesMap.put("SM", "སཱན་མ་རི་ནོ");
    namesMap.put("SN", "སེ་ནི་གྷལ");
    namesMap.put("SO", "སོ་མ་ལི་ཡ");
    namesMap.put("SR", "སུ་རི་ནཱམ");
    namesMap.put("SS", "སཱའུཐ་ སུ་ཌཱན");
    namesMap.put("ST", "སཝ་ ཊོ་མེ་ ཨེནཌ་ པྲྀན་སི་པེ");
    namesMap.put("SV", "ཨེལ་སལ་བ་ཌོར");
    namesMap.put("SX", "སིནཊ་ མཱར་ཊེན");
    namesMap.put("SY", "སི་རི་ཡ");
    namesMap.put("SZ", "སུ་ཝ་ཛི་ལེནཌ");
    namesMap.put("TA", "ཏྲིས་ཏན་ད་ཀུན་ཧ");
    namesMap.put("TC", "ཏུརྐས྄་ ཨེནཌ་ ཀ་ཀོས་གླིང་ཚོམ");
    namesMap.put("TD", "ཅཱཌ");
    namesMap.put("TF", "ཕྲནཅ་གི་ལྷོ་ཕྱོགས་མངའ་ཁོངས");
    namesMap.put("TG", "ཊོ་གྷོ");
    namesMap.put("TH", "ཐཱའི་ལེནཌ");
    namesMap.put("TJ", "ཏ་ཇིག་གི་སཏཱན");
    namesMap.put("TK", "ཏོ་ཀེ་ལའུ་ མཚོ་གླིང");
    namesMap.put("TL", "ཏི་་མོར་ལེ་ཨེསཊ");
    namesMap.put("TM", "ཊཱརཀ་མེནའི་སཏཱན");
    namesMap.put("TN", "ཊུ་ནི་ཤི་ཡ");
    namesMap.put("TO", "ཊོང་གྷ");
    namesMap.put("TR", "ཊཱར་ཀི");
    namesMap.put("TT", "ཊི་ནི་ཌཱཌ་ ཨེནཌ་ ཊོ་བྷེ་གྷོ");
    namesMap.put("TV", "ཏུ་ཝ་ལུ");
    namesMap.put("TW", "ཊཱའི་ཝཱན");
    namesMap.put("TZ", "ཊཱན་ཛཱ་ནི་ཡ");
    namesMap.put("UA", "ཡུ་ཀརེན");
    namesMap.put("UG", "ཡུ་གྷན་ཌ");
    namesMap.put("UM", "ཡུ་ཨེས་གྱི་མཐའ་མཚམས་མཚོ་གླིང་");
    namesMap.put("US", "ཡུ་ཨེས་ཨེ");
    namesMap.put("UY", "ཡུ་རུ་གུ་ཝའི");
    namesMap.put("UZ", "ཨུས་བེག་གི་སཏཱན");
    namesMap.put("VA", "བ་ཊི་ཀཱན་ སི་ཊི");
    namesMap.put("VC", "སེནཊ་ཝིན་སེནཌ྄ ཨེནཌ་ གི་རེ་ན་དིནས྄");
    namesMap.put("VE", "བེ་ནི་ཛུ་ཝེ་ལ");
    namesMap.put("VG", "ཝརཇིན་གླིང་ཚོམ་ བྲཱི་ཊིཤ་མངའ་ཁོངས");
    namesMap.put("VI", "ཝརཇིན་གླིང་ཚོམ་ ཡུ་ཨེས་ཨེ་མངའ་ཁོངས");
    namesMap.put("VN", "བེཊ་ནཱམ");
    namesMap.put("VU", "ཝ་ནུ་ཨ་ཏུ");
    namesMap.put("WF", "ཝལ་ལིས྄་ ཨེནཌ་ ཕུ་ཏུ་ན་");
    namesMap.put("WS", "ས་མོ་ཨ");
    namesMap.put("YE", "ཡེ་མེན");
    namesMap.put("YT", "མེ་ཡོཊ");
    namesMap.put("ZA", "སཱའུཐ་ ཨཕ་རི་ཀ");
    namesMap.put("ZM", "ཛམ་བྷི་ཡ");
    namesMap.put("ZW", "ཛིམ་བྷབ་ཝེ");
    namesMap.put("ZZ", "ངོ་མ་ཤེས་པའི་ལུང་ཕྱོགས");
  }

  @Override
  protected JavaScriptObject loadNameMapNative() {
    return overrideMap(super.loadNameMapNative(), loadMyNameMap());
  }

  private native JavaScriptObject loadMyNameMap() /*-{
    return {
        "001": "འཛམ་གླིང༌",
        "002": "ཨཕ་རི་ཀ",
        "003": "བྱང་ཨ་མི་རི་ཀ",
        "005": "ལྷོ་ཨ་མི་རི་ཀ",
        "009": "ཨོཤི་ཡཱན་ན",
        "011": "ནུབ་ཕྱོགས་ཀྱི་ཨཕ་རི་ཀ",
        "013": "བར་ཕྱོགས་ཨ་མི་རི་ཀ",
        "014": "ཤར་ཕྱོགས་ཀྱི་ཨཕ་རི་ཀ",
        "015": "བྱང་ཕྱོགས་ཀྱི་ཨཕ་རི་ཀ",
        "017": "སྦུག་ཕྱོགས་ཀྱི་ཨཕ་རི་ཀ",
        "018": "ལྷོའི་ཨཕ་རི་ཀ",
        "019": "ཨ་མི་རི་ཀ་ཚུ",
        "021": "བྱང་ཕྱོགས་ཀྱི་ཨ་མི་རི་ཀ",
        "029": "ཀེ་རི་བི་ཡེན",
        "030": "ཤར་ཕྱོགས་ཀྱི་ཨེ་ཤི་ཡ",
        "034": "ལྷོའི་ཨེ་ཤི་ཡ",
        "035": "ལྷོ་ཤར་ཕྱོགས་ཀྱི་ཨེ་ཤི་ཡ",
        "039": "ལྷོའི་ཡུ་རོབ",
        "053": "ཨཱོས་ཊྲེལ་ཨེ་ཤི་ཡ",
        "054": "མེ་ལ་ནི་ཤི་ཡ",
        "057": "ལུང་ཕྱོགས་མའི་ཀྲོ་ནི་ཤི་ཡ",
        "061": "པོ་ལི་ནི་ཤི་ཡ",
        "142": "ཨེ་ཤི་ཡ",
        "143": "སྦུག་ཕྱོགས་ཀྱི་ཨེ་ཤི་ཡ",
        "145": "ནུབ་ཕྱོགས་ཀྱི་ཨེ་ཤི་ཡ",
        "150": "ཡུ་རོབ",
        "151": "ཤར་ཕྱོགས་ཀྱི་ཡུ་རོབ",
        "154": "བྱང་ཕྱོགས་ཀྱི་ཡུ་རོབ",
        "155": "ནུབ་ཕྱོགས་ཀྱི་ཡུ་རོབ",
        "419": "ལེ་ཊིནཨ་མི་རི་ཀ",
        "AC": "ཨེ་སེན་ཤུན་ཚོ་གླིང༌",
        "AD": "ཨཱན་དོ་ར",
        "AE": "ཡུ་ནཱའི་ཊེཌ་ ཨ་རབ་ ཨེ་མེ་རེཊས",
        "AF": "ཨཕ་གྷ་ནི་སཏཱན",
        "AG": "ཨན་ཊི་གུ་ཝ་ ཨེནཌ་ བྷར་བྷུ་ཌ",
        "AI": "ཨང་གི་ལ",
        "AL": "ཨཱལ་བེ་ནི་ཡ",
        "AM": "ཨར་མི་ནི་ཡ",
        "AO": "ཨང་གྷོ་ལ",
        "AQ": "འཛམ་གླིང་ལྷོ་མཐའི་ཁྱགས་གླིང",
        "AR": "ཨར་ཇེན་ཊི་ན",
        "AS": "ས་མོ་ཨ་ཡུ་ཨེས་ཨེ་མངའ་ཁོངས",
        "AT": "ཨཱོས་ཊྲི་ཡ",
        "AU": "ཨཱོས་ཊྲེལ་ལི་ཡ",
        "AW": "ཨ་རུ་བཱ",
        "AX": "ཨ་ལནཌ་གླིང་ཚོམ",
        "AZ": "ཨ་ཛར་བྷའི་ཇཱན",
        "BA": "བྷོས་ནི་ཡ་ ཨེནཌ་ ཧར་ཛི་གྷོ་བི་ན",
        "BB": "བྷར་བེ་ཌོས",
        "BD": "བངྒ་ལ་དེཤ",
        "BE": "བྷེལ་ཇམ",
        "BF": "བྷར་ཀི་ན་ ཕེ་སོ",
        "BG": "བུལ་ག་རི་ཡ",
        "BH": "བྷ་རེན",
        "BI": "བྷུ་རུན་ཌི",
        "BJ": "བྷེ་ནིན",
        "BL": "སེནཊ་ བར་ཐོ་ལོམ་མིའུ",
        "BM": "བར་མུ་ཌ",
        "BN": "བྷྲུ་ནའི",
        "BO": "བྷེ་ལི་བི་ཡ",
        "BQ": "ཀེ་རི་བི་ཡེན་ནེ་དར་ལནཌས྄",
        "BR": "བྲ་ཛིལ",
        "BS": "བྷ་ཧ་མས྄",
        "BT": "འབྲུག",
        "BV": "བོའུ་ཝེཊ་མཚོ་གླིང",
        "BW": "བྷོཙ་ཝ་ན",
        "BY": "བེལ་ཨ་རུ་སུ",
        "BZ": "བྷེ་ལིཛ",
        "CA": "ཀེ་ན་ཌ",
        "CC": "ཀོ་ཀོས་གླིང་ཚོམ",
        "CD": "ཀོང་གྷོ ཀིན་ཤ་ས",
        "CF": "སེན་ཊལ་ ཨཕ་རི་ཀཱན་ རི་པབ་ལིཀ",
        "CG": "ཀོང་གྷོ བྷྲ་ཛ་བིལ",
        "CH": "སུ་ཝིཊ་ཛར་ལེནཌ",
        "CI": "ཀོ་ཊེ་ ཌི་ཨི་ཝོ་རེ",
        "CK": "ཀུག་གླིང་ཚོམ",
        "CL": "ཅི་ལི",
        "CM": "ཀེ་མ་རུན",
        "CN": "རྒྱ་ནག",
        "CO": "ཀོ་ལོམ་བྷི་ཡ",
        "CP": "ཀི་ལི་པེར་ཊོན་མཚོ་གླིང་",
        "CR": "ཀོས་ཊ་རི་ཀ",
        "CU": "ཀིའུ་བྷ",
        "CV": "ཀེཔ་བཱཌ",
        "CW": "ཀྱཱུར་ར་ཀོ",
        "CX": "ཁི་རིསྟ་མེས་མཚོ་གླིང",
        "CY": "སཱའི་པྲས",
        "CZ": "ཅེཀ་ རི་པབ་ལིཀ",
        "DE": "ཇཱར་མ་ནི",
        "DG": "ཌི་ཡེ་གོ་གར་སིའོ",
        "DJ": "ཇི་བྷུ་ཊི",
        "DK": "ཌེན་མཱཀ",
        "DM": "ཌོ་མི་ནི་ཀ",
        "DO": "ཌོ་མི་ནི་ཀཱན་ རི་པབ་ལིཀ",
        "DZ": "ཨཱལ་ཇི་རི་ཡ",
        "EA": "སེ་ཨུ་ཏ་ ཨེནཌ་ མེལ་ལི་ལ",
        "EC": "ཨེ་ཁྭ་ཌོར",
        "EE": "ཨེས་ཊོ་ནི་ཡ",
        "EG": "ཨི་ཇིབཊ",
        "EH": "ནུབ་ཕྱོགས་ ས་ཧཱ་ར",
        "ER": "ཨེ་རི་ཊྲེ་ཡ",
        "ES": "ཨིས་པེན",
        "ET": "ཨི་ཐི་ཡོ་པི་ཡ",
        "EU": "ཡུ་རོབ་གཅིག་བསྡོམས་ཚོགས་པ",
        "FI": "ཕིན་ལེནཌ",
        "FJ": "ཕི་ཇི",
        "FK": "ཕལྐ་ལནྜ་གླིང་ཚོམ",
        "FM": "མའི་ཀྲོ་ནི་ཤི་ཡ",
        "FO": "ཕཱའེ་རོ་གླིང་ཚོམ",
        "FR": "ཕྲཱནས",
        "GA": "གྷ་བྷོན",
        "GB": "ཡུ་ནཱའི་ཊེཌ་ ཀིང་ཌམ",
        "GD": "གྲྀ་ན་ཌ",
        "GE": "ཇཽར་ཇཱ",
        "GF": "གུའི་ཡ་ན་ ཕྲནས྄་མངའ་ཁོངས",
        "GG": "གུ་ཨེརྣ་སི",
        "GH": "གྷ་ན",
        "GI": "ཇིབ་རཱལ་ཊར",
        "GL": "གིརཱིན་ལནཌ྄",
        "GM": "གྷེམ་བི་ཡ",
        "GN": "གྷི་ནི",
        "GP": "གོ་ཌེ་ལུ་པེ",
        "GQ": "ཨེ་ཀུ་ཊོ་རེལ་ གི་ནི",
        "GR": "གིརིས྄",
        "GS": "སཱའུཐ་ཇཽར་ཇཱ་ དང་ སཱའུཐ་སེནཌ྄་ཝིཅ་གླིང་ཚོམ",
        "GT": "གྷོ་ཊ་མ་ལ",
        "GU": "གུ་འམ་ མཚོ་གླིང",
        "GW": "གྷི་ནི་ བྷི་སཱའུ",
        "GY": "གྷ་ཡ་ན",
        "HK": "ཧོང་ཀོང་ཅཱའི་ན",
        "HM": "ཧཱརཌ་མཚོ་གླིང་ དང་ མེཀ་ཌོ་ནལཌ྄་གླིང་ཚོམ",
        "HN": "ཧཱན་ཌུ་རཱས྄",
        "HR": "ཀྲོ་ཨེ་ཤ",
        "HT": "ཧེ་ཊི",
        "HU": "ཧཱང་གྷ་རི",
        "IC": "ཀ་ནེ་རི་གླིང་ཚོམ",
        "ID": "ཨིན་ཌོ་ནེ་ཤི་ཡ",
        "IE": "ཨཱ་ཡ་ལེནཌ",
        "IL": "ཨིས་ར་ཡེལ",
        "IM": "ཨ་ཡུལ་ ཨོཕ་ མཱན",
        "IN": "རྒྱ་གར",
        "IO": "བྲི་ཊིཤ་རྒྱ་གར་གྱི་རྒྱ་མཚོ་ས་ཁོངས",
        "IQ": "ཨི་རཱཀ",
        "IR": "ཨི་རཱན",
        "IS": "ཨཱའིས་ལེནཌ",
        "IT": "ཨི་ཊ་ལི",
        "JE": "ཇེར་སི",
        "JM": "ཇཱ་མཻ་ཀ",
        "JO": "ཇོར་ཌན",
        "JP": "ཇ་པཱན",
        "KE": "ཀེན་ཡ",
        "KG": "ཀིར་གིས་སཏཱན",
        "KH": "ཀམ་བྷོ་ཌི་ཡ",
        "KI": "ཀི་རི་བ་ཏི་མཚོ་གླིང",
        "KM": "ཀོ་མོ་རོས",
        "KN": "སེནཊ་ ཀིཊས་ དང་ ནེ་བིས",
        "KP": "བྱང་ ཀོ་རི་ཡ",
        "KR": "ལྷོ་ ཀོ་རི་ཡ",
        "KW": "ཀུ་ཝེཊ",
        "KY": "ཁེ་མེན་གླིང་ཚོམ",
        "KZ": "ཀ་ཛགས་སཏཱན",
        "LA": "ལཱ་ཝོས",
        "LB": "ལེ་བ་ནོན",
        "LC": "སེནཊ་ ལུ་སི་ཡ",
        "LI": "ལིཀ་ཏནས་ཏ་ཡིན",
        "LK": "ཤྲཱི་ལང་ཀ",
        "LR": "ལཱའི་བེ་རི་ཡ",
        "LS": "ལཻ་སོ་ཐོ",
        "LT": "ལི་ཐུ་ཝེ་ནི་ཡ",
        "LU": "ལག་ཛམ་བོརྒ",
        "LV": "ལཊ་བི་ཡ",
        "LY": "ལི་བི་ཡ",
        "MA": "མོ་རོ་ཀོ",
        "MC": "མོ་ན་ཀོ",
        "MD": "མོལ་དོ་བཱ",
        "ME": "མོན་ཊི་ནེག་རོ",
        "MF": "སེནཊ་ མཱར་ཊིན",
        "MG": "མ་དཱ་གེས་ཀར",
        "MH": "མར་ཤེལ་གླིང་ཚོམ",
        "MK": "མ་སེ་ཌོ་ནི་ཡ",
        "ML": "མཱ་ལི",
        "MM": "མི་ཡཱན་མར་ (བྷར་མ)",
        "MN": "སོག་པོ་ཡུལ",
        "MO": "མཀ་ཨའུ་ཅཱའི་ན",
        "MP": "བྱང་ཕྱོགས་ཀྱི་མ་ར་ཡ་ན་གླིང་ཚོམ",
        "MQ": "མཱར་ཊི་ནིཀ",
        "MR": "མོ་རི་ཊེ་ནི་ཡ",
        "MS": "མོན་ས་རཊ",
        "MT": "མཱལ་ཊ",
        "MU": "མོ་རི་ཤཱས",
        "MV": "མཱལ་དིབས",
        "MW": "མ་ལ་ཝི",
        "MX": "མེཀ་སི་ཀོ",
        "MY": "མ་ལེ་ཤི་ཡ",
        "MZ": "མོ་ཛམ་བྷིཀ",
        "NA": "ན་མི་བི་ཡ",
        "NC": "ནིའུ་ཀ་ལི་དོ་ནི་ཡ",
        "NE": "ནཱའི་ཇཱ",
        "NF": "ནོར་ཕོལཀ་མཚོ་གླིང༌",
        "NG": "ནཱའི་ཇི་རི་ཡ",
        "NI": "ནི་ཀྲ་ཝ་ག",
        "NL": "ནེ་དར་ལནཌས྄",
        "NO": "ནོར་ཝེ",
        "NP": "བལ་ཡུལ",
        "NR": "ནའུ་རུ་",
        "NU": "ནི་ཨུ་ཨཻ",
        "NZ": "ནིའུ་ཛི་ལེནཌ",
        "OM": "ཨོ་མཱན",
        "PA": "པ་ན་མ",
        "PE": "པེ་རུ",
        "PF": "ཕྲཱནས྄་ཀྱི་པོ་ལི་ནི་ཤི་ཡ",
        "PG": "པ་པུ་ ནིའུ་གི་ནི",
        "PH": "ཕི་ལི་པིནས",
        "PK": "པ་ཀི་སཏཱན",
        "PL": "པོ་ལེནཌ",
        "PM": "སིནཊ་པི་ཡེར་ ཨེནཌ་ མིཀོ་ལེན",
        "PN": "པིཊ་ཀེ་ཡེརན་གླིང་ཚོམ",
        "PR": "པུ་འེར་ཊོ་རི་ཁོ",
        "PS": "པེ་ལིསི་ཊི་ནི་ཡན་ཊེ་རི་ཐོ་རི",
        "PT": "པོར་ཅུ་གཱལ",
        "PW": "པ་ལའུ",
        "PY": "པ་ར་གུ་ཝའི",
        "QA": "ཀ་ཊར",
        "QO": "ཨོཤི་ཡཱན་ན་གྱི་མཐའ་མཚམས",
        "RE": "རེ་ཡུ་ནི་ཡོན",
        "RO": "རོ་མེ་ནི་ཡ",
        "RS": "སཱར་བྷི་ཡ",
        "RU": "ཨུ་རུ་སུ",
        "RW": "རུ་ཝན་ཌ",
        "SA": "སཱཝ་དི་ ཨ་རེ་བྷི་ཡ",
        "SB": "སོ་ལོ་མོན་ གླིང་ཚོམ",
        "SC": "སེ་ཤཱལས",
        "SD": "སུ་ཌཱན",
        "SE": "སུའི་ཌེན",
        "SG": "སིང་ག་པོར",
        "SH": "སེནཊ་ ཧེ་ལི་ན",
        "SI": "སུ་ལོ་བི་ནི་ཡ",
        "SJ": "སྭཱལ་བྷརྡ་ ཨེནཌ་ ཇཱན་མ་ཡེན",
        "SK": "སུ་ལོ་བཱ་ཀི་ཡ",
        "SL": "སི་ར་ ལི་འོན",
        "SM": "སཱན་མ་རི་ནོ",
        "SN": "སེ་ནི་གྷལ",
        "SO": "སོ་མ་ལི་ཡ",
        "SR": "སུ་རི་ནཱམ",
        "SS": "སཱའུཐ་ སུ་ཌཱན",
        "ST": "སཝ་ ཊོ་མེ་ ཨེནཌ་ པྲྀན་སི་པེ",
        "SV": "ཨེལ་སལ་བ་ཌོར",
        "SX": "སིནཊ་ མཱར་ཊེན",
        "SY": "སི་རི་ཡ",
        "SZ": "སུ་ཝ་ཛི་ལེནཌ",
        "TA": "ཏྲིས་ཏན་ད་ཀུན་ཧ",
        "TC": "ཏུརྐས྄་ ཨེནཌ་ ཀ་ཀོས་གླིང་ཚོམ",
        "TD": "ཅཱཌ",
        "TF": "ཕྲནཅ་གི་ལྷོ་ཕྱོགས་མངའ་ཁོངས",
        "TG": "ཊོ་གྷོ",
        "TH": "ཐཱའི་ལེནཌ",
        "TJ": "ཏ་ཇིག་གི་སཏཱན",
        "TK": "ཏོ་ཀེ་ལའུ་ མཚོ་གླིང",
        "TL": "ཏི་་མོར་ལེ་ཨེསཊ",
        "TM": "ཊཱརཀ་མེནའི་སཏཱན",
        "TN": "ཊུ་ནི་ཤི་ཡ",
        "TO": "ཊོང་གྷ",
        "TR": "ཊཱར་ཀི",
        "TT": "ཊི་ནི་ཌཱཌ་ ཨེནཌ་ ཊོ་བྷེ་གྷོ",
        "TV": "ཏུ་ཝ་ལུ",
        "TW": "ཊཱའི་ཝཱན",
        "TZ": "ཊཱན་ཛཱ་ནི་ཡ",
        "UA": "ཡུ་ཀརེན",
        "UG": "ཡུ་གྷན་ཌ",
        "UM": "ཡུ་ཨེས་གྱི་མཐའ་མཚམས་མཚོ་གླིང་",
        "US": "ཡུ་ཨེས་ཨེ",
        "UY": "ཡུ་རུ་གུ་ཝའི",
        "UZ": "ཨུས་བེག་གི་སཏཱན",
        "VA": "བ་ཊི་ཀཱན་ སི་ཊི",
        "VC": "སེནཊ་ཝིན་སེནཌ྄ ཨེནཌ་ གི་རེ་ན་དིནས྄",
        "VE": "བེ་ནི་ཛུ་ཝེ་ལ",
        "VG": "ཝརཇིན་གླིང་ཚོམ་ བྲཱི་ཊིཤ་མངའ་ཁོངས",
        "VI": "ཝརཇིན་གླིང་ཚོམ་ ཡུ་ཨེས་ཨེ་མངའ་ཁོངས",
        "VN": "བེཊ་ནཱམ",
        "VU": "ཝ་ནུ་ཨ་ཏུ",
        "WF": "ཝལ་ལིས྄་ ཨེནཌ་ ཕུ་ཏུ་ན་",
        "WS": "ས་མོ་ཨ",
        "YE": "ཡེ་མེན",
        "YT": "མེ་ཡོཊ",
        "ZA": "སཱའུཐ་ ཨཕ་རི་ཀ",
        "ZM": "ཛམ་བྷི་ཡ",
        "ZW": "ཛིམ་བྷབ་ཝེ",
        "ZZ": "ངོ་མ་ཤེས་པའི་ལུང་ཕྱོགས"
    };
  }-*/;
}
