/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.client.impl.cldr;

import com.google.gwt.core.client.JavaScriptObject;

// DO NOT EDIT - GENERATED FROM CLDR DATA

/**
 * Localized names for the "mk" locale.
 */
public class LocalizedNamesImpl_mk extends LocalizedNamesImpl {

  @Override
  public String[] loadSortedRegionCodes() {
    return new String[] {
        "AF",
        "AU",
        "AT",
        "AZ",
        "AL",
        "DZ",
        "AS",
        "VI",
        "UM",
        "AI",
        "AO",
        "AD",
        "AQ",
        "AG",
        "AR",
        "AW",
        "BD",
        "BB",
        "BS",
        "BH",
        "BE",
        "BZ",
        "BY",
        "BJ",
        "BM",
        "CX",
        "BO",
        "BA",
        "BW",
        "BR",
        "CI",
        "IO",
        "VG",
        "BN",
        "BG",
        "BF",
        "BI",
        "BT",
        "VU",
        "VA",
        "VE",
        "VN",
        "WF",
        "GA",
        "GM",
        "GH",
        "GP",
        "GY",
        "GU",
        "GT",
        "GN",
        "GW",
        "DE",
        "GG",
        "GI",
        "GD",
        "GL",
        "GE",
        "GR",
        "DK",
        "DG",
        "DM",
        "DO",
        "EU",
        "EG",
        "EC",
        "GQ",
        "SV",
        "ER",
        "AM",
        "EE",
        "ET",
        "QO",
        "ZM",
        "EH",
        "CV",
        "ZW",
        "IL",
        "IN",
        "ID",
        "IQ",
        "IR",
        "IE",
        "IS",
        "TL",
        "IT",
        "JM",
        "JP",
        "YE",
        "JO",
        "SS",
        "GS",
        "KR",
        "ZA",
        "KZ",
        "KY",
        "KH",
        "CM",
        "CA",
        "IC",
        "BQ",
        "QA",
        "KE",
        "CN",
        "CY",
        "KG",
        "KI",
        "CC",
        "CO",
        "KM",
        "CG",
        "CD",
        "XK",
        "CR",
        "CU",
        "KW",
        "CK",
        "CW",
        "LA",
        "LV",
        "LS",
        "LB",
        "LR",
        "LY",
        "LT",
        "LI",
        "LU",
        "MR",
        "MU",
        "MG",
        "YT",
        "MO",
        "MK",
        "MW",
        "MV",
        "MY",
        "ML",
        "MT",
        "MA",
        "MQ",
        "MH",
        "MX",
        "FM",
        "MM",
        "MZ",
        "MD",
        "MC",
        "MN",
        "MS",
        "NA",
        "NR",
        "NP",
        "NE",
        "NG",
        "NU",
        "NI",
        "NC",
        "NZ",
        "NO",
        "NF",
        "AE",
        "GB",
        "AX",
        "OM",
        "AC",
        "BV",
        "TC",
        "CP",
        "IM",
        "HM",
        "PK",
        "PW",
        "PS",
        "PA",
        "PG",
        "PY",
        "PE",
        "PN",
        "PL",
        "PR",
        "PT",
        "CZ",
        "RE",
        "RO",
        "RW",
        "RU",
        "WS",
        "SM",
        "ST",
        "SA",
        "SZ",
        "SJ",
        "SH",
        "LC",
        "SX",
        "KP",
        "MP",
        "SC",
        "SN",
        "BL",
        "VC",
        "KN",
        "MF",
        "PM",
        "EA",
        "SL",
        "SG",
        "SY",
        "SK",
        "SI",
        "US",
        "SB",
        "SO",
        "RS",
        "SD",
        "SR",
        "TW",
        "TH",
        "TZ",
        "TJ",
        "TG",
        "TK",
        "TO",
        "TT",
        "TA",
        "TV",
        "TN",
        "TM",
        "TR",
        "UG",
        "UZ",
        "UA",
        "HU",
        "UY",
        "FO",
        "PH",
        "FI",
        "FJ",
        "FK",
        "FR",
        "GF",
        "PF",
        "TF",
        "HT",
        "NL",
        "AN",
        "HK",
        "HN",
        "HR",
        "CF",
        "ME",
        "TD",
        "CL",
        "JE",
        "DJ",
        "CH",
        "SE",
        "ES",
        "LK",
    };
  }

  @Override
  protected void loadNameMapJava() {
    super.loadNameMapJava();
    namesMap.put("001", "Свет");
    namesMap.put("002", "Африка");
    namesMap.put("003", "Северна Америка");
    namesMap.put("005", "Јужна Америка");
    namesMap.put("009", "Океанија");
    namesMap.put("011", "Западна Африка");
    namesMap.put("013", "Централна Америка");
    namesMap.put("014", "Источна Африка");
    namesMap.put("015", "Северна Африка");
    namesMap.put("017", "Средна Африка");
    namesMap.put("018", "Јужна Африка");
    namesMap.put("019", "Америки");
    namesMap.put("021", "Северна континентална Америка");
    namesMap.put("029", "Кариби");
    namesMap.put("030", "Источна Азија");
    namesMap.put("034", "Јужна Азија");
    namesMap.put("035", "Југоисточна Азија");
    namesMap.put("039", "Јужна Европа");
    namesMap.put("053", "Австралазија");
    namesMap.put("054", "Меланезија");
    namesMap.put("057", "Микронезиски регион");
    namesMap.put("061", "Полинезија");
    namesMap.put("142", "Азија");
    namesMap.put("143", "Централна Азија");
    namesMap.put("145", "Западна Азија");
    namesMap.put("150", "Европа");
    namesMap.put("151", "Источна Европа");
    namesMap.put("154", "Северна Европа");
    namesMap.put("155", "Западна Европа");
    namesMap.put("419", "Латинска Америка");
    namesMap.put("AC", "Остров Асенсион");
    namesMap.put("AD", "Андора");
    namesMap.put("AE", "Обединети Арапски Емирати");
    namesMap.put("AF", "Авганистан");
    namesMap.put("AG", "Антигва и Барбуда");
    namesMap.put("AI", "Ангвила");
    namesMap.put("AL", "Албанија");
    namesMap.put("AM", "Ерменија");
    namesMap.put("AN", "Холандски Антили");
    namesMap.put("AO", "Ангола");
    namesMap.put("AQ", "Антарктик");
    namesMap.put("AR", "Аргентина");
    namesMap.put("AS", "Американска Самоа");
    namesMap.put("AT", "Австрија");
    namesMap.put("AU", "Австралија");
    namesMap.put("AW", "Аруба");
    namesMap.put("AX", "Оландски острови");
    namesMap.put("AZ", "Азербејџан");
    namesMap.put("BA", "Босна и Херцеговина");
    namesMap.put("BB", "Барбадос");
    namesMap.put("BD", "Бангладеш");
    namesMap.put("BE", "Белгија");
    namesMap.put("BF", "Буркина Фасо");
    namesMap.put("BG", "Бугарија");
    namesMap.put("BH", "Бахреин");
    namesMap.put("BI", "Бурунди");
    namesMap.put("BJ", "Бенин");
    namesMap.put("BL", "Сент Бартоломеј");
    namesMap.put("BM", "Бермуди");
    namesMap.put("BN", "Брунеј");
    namesMap.put("BO", "Боливија");
    namesMap.put("BQ", "Карипска Холандија");
    namesMap.put("BR", "Бразил");
    namesMap.put("BS", "Бахами");
    namesMap.put("BT", "Бутан");
    namesMap.put("BV", "Остров Буве");
    namesMap.put("BW", "Боцвана");
    namesMap.put("BY", "Белорусија");
    namesMap.put("BZ", "Белизе");
    namesMap.put("CA", "Канада");
    namesMap.put("CC", "Кокосови (Килиншки) Острови");
    namesMap.put("CD", "Конго - Киншаса");
    namesMap.put("CF", "Централноафриканска Република");
    namesMap.put("CG", "Конго - Бразавил");
    namesMap.put("CH", "Швајцарија");
    namesMap.put("CI", "Брегот на Слоновата Коска");
    namesMap.put("CK", "Кукови Острови");
    namesMap.put("CL", "Чиле");
    namesMap.put("CM", "Камерун");
    namesMap.put("CN", "Кина");
    namesMap.put("CO", "Колумбија");
    namesMap.put("CP", "Остров Клипертон");
    namesMap.put("CR", "Костарика");
    namesMap.put("CU", "Куба");
    namesMap.put("CV", "Зелен ’Рт");
    namesMap.put("CW", "Курасао");
    namesMap.put("CX", "Божиќен Остров");
    namesMap.put("CY", "Кипар");
    namesMap.put("CZ", "Република Чешка");
    namesMap.put("DE", "Германија");
    namesMap.put("DG", "Диего Гарсија");
    namesMap.put("DJ", "Џибути");
    namesMap.put("DK", "Данска");
    namesMap.put("DM", "Доминика");
    namesMap.put("DO", "Доминиканска Република");
    namesMap.put("DZ", "Алжир");
    namesMap.put("EA", "Сеута и Мелиља");
    namesMap.put("EC", "Еквадор");
    namesMap.put("EE", "Естонија");
    namesMap.put("EG", "Египет");
    namesMap.put("EH", "Западна Сахара");
    namesMap.put("ER", "Еритреја");
    namesMap.put("ES", "Шпанија");
    namesMap.put("ET", "Етиопија");
    namesMap.put("EU", "Европска унија");
    namesMap.put("FI", "Финска");
    namesMap.put("FJ", "Фиџи");
    namesMap.put("FK", "Фолкландски Острови");
    namesMap.put("FM", "Микронезија");
    namesMap.put("FO", "Фарски Острови");
    namesMap.put("FR", "Франција");
    namesMap.put("GA", "Габон");
    namesMap.put("GB", "Обединето Кралство");
    namesMap.put("GD", "Гренада");
    namesMap.put("GE", "Грузија");
    namesMap.put("GF", "Француска Гвајана");
    namesMap.put("GG", "Гернзи");
    namesMap.put("GH", "Гана");
    namesMap.put("GI", "Гибралтар");
    namesMap.put("GL", "Гренланд");
    namesMap.put("GM", "Гамбија");
    namesMap.put("GN", "Гвинеја");
    namesMap.put("GP", "Гвадалупе");
    namesMap.put("GQ", "Екваторска Гвинеја");
    namesMap.put("GR", "Грција");
    namesMap.put("GS", "Јужна Грузија и Јужни Сендвич Острови");
    namesMap.put("GT", "Гватемала");
    namesMap.put("GU", "Гвам");
    namesMap.put("GW", "Гвинеја-Бисау");
    namesMap.put("GY", "Гвајана");
    namesMap.put("HK", "Хонг Конг С.А.Р Кина");
    namesMap.put("HM", "Остров Херд и Острови Макдоналд");
    namesMap.put("HN", "Хондурас");
    namesMap.put("HR", "Хрватска");
    namesMap.put("HT", "Хаити");
    namesMap.put("HU", "Унгарија");
    namesMap.put("IC", "Канарски острови");
    namesMap.put("ID", "Индонезија");
    namesMap.put("IE", "Ирска");
    namesMap.put("IL", "Израел");
    namesMap.put("IM", "Остров Ман");
    namesMap.put("IN", "Индија");
    namesMap.put("IO", "Британска Индоокеанска Територија");
    namesMap.put("IQ", "Ирак");
    namesMap.put("IR", "Иран");
    namesMap.put("IS", "Исланд");
    namesMap.put("IT", "Италија");
    namesMap.put("JE", "Џерси");
    namesMap.put("JM", "Јамајка");
    namesMap.put("JO", "Јордан");
    namesMap.put("JP", "Јапонија");
    namesMap.put("KE", "Кенија");
    namesMap.put("KG", "Киргистан");
    namesMap.put("KH", "Камбоџа");
    namesMap.put("KI", "Кирибати");
    namesMap.put("KM", "Коморски Острови");
    namesMap.put("KN", "Сент Кристофер и Невис");
    namesMap.put("KP", "Северна Кореја");
    namesMap.put("KR", "Јужна Кореја");
    namesMap.put("KW", "Кувајт");
    namesMap.put("KY", "Кајмански Острови");
    namesMap.put("KZ", "Казахстан");
    namesMap.put("LA", "Лаос");
    namesMap.put("LB", "Либан");
    namesMap.put("LC", "Света Луција");
    namesMap.put("LI", "Лихтенштајн");
    namesMap.put("LK", "Шри Ланка");
    namesMap.put("LR", "Либерија");
    namesMap.put("LS", "Лесото");
    namesMap.put("LT", "Литванија");
    namesMap.put("LU", "Луксембург");
    namesMap.put("LV", "Латвија");
    namesMap.put("LY", "Либија");
    namesMap.put("MA", "Мароко");
    namesMap.put("MC", "Монако");
    namesMap.put("MD", "Молдавија");
    namesMap.put("ME", "Црна Гора");
    namesMap.put("MF", "Сент Мартин");
    namesMap.put("MG", "Мадагаскар");
    namesMap.put("MH", "Маршалски Острови");
    namesMap.put("MK", "Македонија");
    namesMap.put("ML", "Мали");
    namesMap.put("MM", "Мјанмар (Бурма)");
    namesMap.put("MN", "Монголија");
    namesMap.put("MO", "Макао С.А.Р Кина");
    namesMap.put("MP", "Северни Маријански Острови");
    namesMap.put("MQ", "Мартиник");
    namesMap.put("MR", "Мавританија");
    namesMap.put("MS", "Монсерат");
    namesMap.put("MT", "Малта");
    namesMap.put("MU", "Маврициус");
    namesMap.put("MV", "Малдиви");
    namesMap.put("MW", "Малави");
    namesMap.put("MX", "Мексико");
    namesMap.put("MY", "Малезија");
    namesMap.put("MZ", "Мозамбик");
    namesMap.put("NA", "Намибија");
    namesMap.put("NC", "Нова Каледонија");
    namesMap.put("NE", "Нигер");
    namesMap.put("NF", "Норфолшки Остров");
    namesMap.put("NG", "Нигерија");
    namesMap.put("NI", "Никарагва");
    namesMap.put("NL", "Холандија");
    namesMap.put("NO", "Норвешка");
    namesMap.put("NP", "Непал");
    namesMap.put("NR", "Науру");
    namesMap.put("NU", "Нијуе");
    namesMap.put("NZ", "Нов Зеланд");
    namesMap.put("OM", "Оман");
    namesMap.put("PA", "Панама");
    namesMap.put("PE", "Перу");
    namesMap.put("PF", "Француска Полинезија");
    namesMap.put("PG", "Папуа Нова Гвинеја");
    namesMap.put("PH", "Филипини");
    namesMap.put("PK", "Пакистан");
    namesMap.put("PL", "Полска");
    namesMap.put("PM", "Сент Пјер и Микелан");
    namesMap.put("PN", "Питкернски Острови");
    namesMap.put("PR", "Порторико");
    namesMap.put("PS", "Палестински територии");
    namesMap.put("PT", "Португалија");
    namesMap.put("PW", "Палау");
    namesMap.put("PY", "Парагвај");
    namesMap.put("QA", "Катар");
    namesMap.put("QO", "Зависни земји во Океанија");
    namesMap.put("RE", "Ријунион");
    namesMap.put("RO", "Романија");
    namesMap.put("RS", "Србија");
    namesMap.put("RU", "Русија");
    namesMap.put("RW", "Руанда");
    namesMap.put("SA", "Саудиска Арабија");
    namesMap.put("SB", "Соломонски Острови");
    namesMap.put("SC", "Сејшели");
    namesMap.put("SD", "Судан");
    namesMap.put("SE", "Шведска");
    namesMap.put("SG", "Сингапур");
    namesMap.put("SH", "Света Елена");
    namesMap.put("SI", "Словенија");
    namesMap.put("SJ", "Свалбард и Жан Мејен");
    namesMap.put("SK", "Словачка");
    namesMap.put("SL", "Сиера Леоне");
    namesMap.put("SM", "Сан Марино");
    namesMap.put("SN", "Сенегал");
    namesMap.put("SO", "Сомалија");
    namesMap.put("SR", "Суринам");
    namesMap.put("SS", "Јужен Судан");
    namesMap.put("ST", "Сао Томе и Принсипе");
    namesMap.put("SV", "Ел Салвадор");
    namesMap.put("SX", "Свети Мартин");
    namesMap.put("SY", "Сирија");
    namesMap.put("SZ", "Свазиленд");
    namesMap.put("TA", "Тристан да Куња");
    namesMap.put("TC", "Острови Туркс и Кајкос");
    namesMap.put("TD", "Чад");
    namesMap.put("TF", "Француски Јужни територии");
    namesMap.put("TG", "Того");
    namesMap.put("TH", "Тајланд");
    namesMap.put("TJ", "Таџикистан");
    namesMap.put("TK", "Токелау");
    namesMap.put("TL", "Источен Тимор (Тимор Лесте)");
    namesMap.put("TM", "Туркменистан");
    namesMap.put("TN", "Тунис");
    namesMap.put("TO", "Тонга");
    namesMap.put("TR", "Турција");
    namesMap.put("TT", "Тринидад и Тобаго");
    namesMap.put("TV", "Тувалу");
    namesMap.put("TW", "Тајван");
    namesMap.put("TZ", "Танзанија");
    namesMap.put("UA", "Украина");
    namesMap.put("UG", "Уганда");
    namesMap.put("UM", "Американски територии во Пацификот");
    namesMap.put("US", "Соединети Американски Држави");
    namesMap.put("UY", "Уругвај");
    namesMap.put("UZ", "Узбекистан");
    namesMap.put("VA", "Ватикан");
    namesMap.put("VC", "Сент Винсент и Гренадините");
    namesMap.put("VE", "Венецуела");
    namesMap.put("VG", "Британски Девствени Острови");
    namesMap.put("VI", "Американски Девствени Острови");
    namesMap.put("VN", "Виетнам");
    namesMap.put("VU", "Вануату");
    namesMap.put("WF", "Волис и Футуна");
    namesMap.put("WS", "Самоа");
    namesMap.put("XK", "Косово");
    namesMap.put("YE", "Јемен");
    namesMap.put("YT", "Мајот");
    namesMap.put("ZA", "Јужноафриканска Република");
    namesMap.put("ZM", "Замбија");
    namesMap.put("ZW", "Зимбабве");
    namesMap.put("ZZ", "Непознат регион");
  }

  @Override
  protected JavaScriptObject loadNameMapNative() {
    return overrideMap(super.loadNameMapNative(), loadMyNameMap());
  }

  private native JavaScriptObject loadMyNameMap() /*-{
    return {
        "001": "Свет",
        "002": "Африка",
        "003": "Северна Америка",
        "005": "Јужна Америка",
        "009": "Океанија",
        "011": "Западна Африка",
        "013": "Централна Америка",
        "014": "Источна Африка",
        "015": "Северна Африка",
        "017": "Средна Африка",
        "018": "Јужна Африка",
        "019": "Америки",
        "021": "Северна континентална Америка",
        "029": "Кариби",
        "030": "Источна Азија",
        "034": "Јужна Азија",
        "035": "Југоисточна Азија",
        "039": "Јужна Европа",
        "053": "Австралазија",
        "054": "Меланезија",
        "057": "Микронезиски регион",
        "061": "Полинезија",
        "142": "Азија",
        "143": "Централна Азија",
        "145": "Западна Азија",
        "150": "Европа",
        "151": "Источна Европа",
        "154": "Северна Европа",
        "155": "Западна Европа",
        "419": "Латинска Америка",
        "AC": "Остров Асенсион",
        "AD": "Андора",
        "AE": "Обединети Арапски Емирати",
        "AF": "Авганистан",
        "AG": "Антигва и Барбуда",
        "AI": "Ангвила",
        "AL": "Албанија",
        "AM": "Ерменија",
        "AN": "Холандски Антили",
        "AO": "Ангола",
        "AQ": "Антарктик",
        "AR": "Аргентина",
        "AS": "Американска Самоа",
        "AT": "Австрија",
        "AU": "Австралија",
        "AW": "Аруба",
        "AX": "Оландски острови",
        "AZ": "Азербејџан",
        "BA": "Босна и Херцеговина",
        "BB": "Барбадос",
        "BD": "Бангладеш",
        "BE": "Белгија",
        "BF": "Буркина Фасо",
        "BG": "Бугарија",
        "BH": "Бахреин",
        "BI": "Бурунди",
        "BJ": "Бенин",
        "BL": "Сент Бартоломеј",
        "BM": "Бермуди",
        "BN": "Брунеј",
        "BO": "Боливија",
        "BQ": "Карипска Холандија",
        "BR": "Бразил",
        "BS": "Бахами",
        "BT": "Бутан",
        "BV": "Остров Буве",
        "BW": "Боцвана",
        "BY": "Белорусија",
        "BZ": "Белизе",
        "CA": "Канада",
        "CC": "Кокосови (Килиншки) Острови",
        "CD": "Конго - Киншаса",
        "CF": "Централноафриканска Република",
        "CG": "Конго - Бразавил",
        "CH": "Швајцарија",
        "CI": "Брегот на Слоновата Коска",
        "CK": "Кукови Острови",
        "CL": "Чиле",
        "CM": "Камерун",
        "CN": "Кина",
        "CO": "Колумбија",
        "CP": "Остров Клипертон",
        "CR": "Костарика",
        "CU": "Куба",
        "CV": "Зелен ’Рт",
        "CW": "Курасао",
        "CX": "Божиќен Остров",
        "CY": "Кипар",
        "CZ": "Република Чешка",
        "DE": "Германија",
        "DG": "Диего Гарсија",
        "DJ": "Џибути",
        "DK": "Данска",
        "DM": "Доминика",
        "DO": "Доминиканска Република",
        "DZ": "Алжир",
        "EA": "Сеута и Мелиља",
        "EC": "Еквадор",
        "EE": "Естонија",
        "EG": "Египет",
        "EH": "Западна Сахара",
        "ER": "Еритреја",
        "ES": "Шпанија",
        "ET": "Етиопија",
        "EU": "Европска унија",
        "FI": "Финска",
        "FJ": "Фиџи",
        "FK": "Фолкландски Острови",
        "FM": "Микронезија",
        "FO": "Фарски Острови",
        "FR": "Франција",
        "GA": "Габон",
        "GB": "Обединето Кралство",
        "GD": "Гренада",
        "GE": "Грузија",
        "GF": "Француска Гвајана",
        "GG": "Гернзи",
        "GH": "Гана",
        "GI": "Гибралтар",
        "GL": "Гренланд",
        "GM": "Гамбија",
        "GN": "Гвинеја",
        "GP": "Гвадалупе",
        "GQ": "Екваторска Гвинеја",
        "GR": "Грција",
        "GS": "Јужна Грузија и Јужни Сендвич Острови",
        "GT": "Гватемала",
        "GU": "Гвам",
        "GW": "Гвинеја-Бисау",
        "GY": "Гвајана",
        "HK": "Хонг Конг С.А.Р Кина",
        "HM": "Остров Херд и Острови Макдоналд",
        "HN": "Хондурас",
        "HR": "Хрватска",
        "HT": "Хаити",
        "HU": "Унгарија",
        "IC": "Канарски острови",
        "ID": "Индонезија",
        "IE": "Ирска",
        "IL": "Израел",
        "IM": "Остров Ман",
        "IN": "Индија",
        "IO": "Британска Индоокеанска Територија",
        "IQ": "Ирак",
        "IR": "Иран",
        "IS": "Исланд",
        "IT": "Италија",
        "JE": "Џерси",
        "JM": "Јамајка",
        "JO": "Јордан",
        "JP": "Јапонија",
        "KE": "Кенија",
        "KG": "Киргистан",
        "KH": "Камбоџа",
        "KI": "Кирибати",
        "KM": "Коморски Острови",
        "KN": "Сент Кристофер и Невис",
        "KP": "Северна Кореја",
        "KR": "Јужна Кореја",
        "KW": "Кувајт",
        "KY": "Кајмански Острови",
        "KZ": "Казахстан",
        "LA": "Лаос",
        "LB": "Либан",
        "LC": "Света Луција",
        "LI": "Лихтенштајн",
        "LK": "Шри Ланка",
        "LR": "Либерија",
        "LS": "Лесото",
        "LT": "Литванија",
        "LU": "Луксембург",
        "LV": "Латвија",
        "LY": "Либија",
        "MA": "Мароко",
        "MC": "Монако",
        "MD": "Молдавија",
        "ME": "Црна Гора",
        "MF": "Сент Мартин",
        "MG": "Мадагаскар",
        "MH": "Маршалски Острови",
        "MK": "Македонија",
        "ML": "Мали",
        "MM": "Мјанмар (Бурма)",
        "MN": "Монголија",
        "MO": "Макао С.А.Р Кина",
        "MP": "Северни Маријански Острови",
        "MQ": "Мартиник",
        "MR": "Мавританија",
        "MS": "Монсерат",
        "MT": "Малта",
        "MU": "Маврициус",
        "MV": "Малдиви",
        "MW": "Малави",
        "MX": "Мексико",
        "MY": "Малезија",
        "MZ": "Мозамбик",
        "NA": "Намибија",
        "NC": "Нова Каледонија",
        "NE": "Нигер",
        "NF": "Норфолшки Остров",
        "NG": "Нигерија",
        "NI": "Никарагва",
        "NL": "Холандија",
        "NO": "Норвешка",
        "NP": "Непал",
        "NR": "Науру",
        "NU": "Нијуе",
        "NZ": "Нов Зеланд",
        "OM": "Оман",
        "PA": "Панама",
        "PE": "Перу",
        "PF": "Француска Полинезија",
        "PG": "Папуа Нова Гвинеја",
        "PH": "Филипини",
        "PK": "Пакистан",
        "PL": "Полска",
        "PM": "Сент Пјер и Микелан",
        "PN": "Питкернски Острови",
        "PR": "Порторико",
        "PS": "Палестински територии",
        "PT": "Португалија",
        "PW": "Палау",
        "PY": "Парагвај",
        "QA": "Катар",
        "QO": "Зависни земји во Океанија",
        "RE": "Ријунион",
        "RO": "Романија",
        "RS": "Србија",
        "RU": "Русија",
        "RW": "Руанда",
        "SA": "Саудиска Арабија",
        "SB": "Соломонски Острови",
        "SC": "Сејшели",
        "SD": "Судан",
        "SE": "Шведска",
        "SG": "Сингапур",
        "SH": "Света Елена",
        "SI": "Словенија",
        "SJ": "Свалбард и Жан Мејен",
        "SK": "Словачка",
        "SL": "Сиера Леоне",
        "SM": "Сан Марино",
        "SN": "Сенегал",
        "SO": "Сомалија",
        "SR": "Суринам",
        "SS": "Јужен Судан",
        "ST": "Сао Томе и Принсипе",
        "SV": "Ел Салвадор",
        "SX": "Свети Мартин",
        "SY": "Сирија",
        "SZ": "Свазиленд",
        "TA": "Тристан да Куња",
        "TC": "Острови Туркс и Кајкос",
        "TD": "Чад",
        "TF": "Француски Јужни територии",
        "TG": "Того",
        "TH": "Тајланд",
        "TJ": "Таџикистан",
        "TK": "Токелау",
        "TL": "Источен Тимор (Тимор Лесте)",
        "TM": "Туркменистан",
        "TN": "Тунис",
        "TO": "Тонга",
        "TR": "Турција",
        "TT": "Тринидад и Тобаго",
        "TV": "Тувалу",
        "TW": "Тајван",
        "TZ": "Танзанија",
        "UA": "Украина",
        "UG": "Уганда",
        "UM": "Американски територии во Пацификот",
        "US": "Соединети Американски Држави",
        "UY": "Уругвај",
        "UZ": "Узбекистан",
        "VA": "Ватикан",
        "VC": "Сент Винсент и Гренадините",
        "VE": "Венецуела",
        "VG": "Британски Девствени Острови",
        "VI": "Американски Девствени Острови",
        "VN": "Виетнам",
        "VU": "Вануату",
        "WF": "Волис и Футуна",
        "WS": "Самоа",
        "XK": "Косово",
        "YE": "Јемен",
        "YT": "Мајот",
        "ZA": "Јужноафриканска Република",
        "ZM": "Замбија",
        "ZW": "Зимбабве",
        "ZZ": "Непознат регион"
    };
  }-*/;
}
