/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.client.impl.cldr;

import com.google.gwt.core.client.JavaScriptObject;

// DO NOT EDIT - GENERATED FROM CLDR DATA

/**
 * Localized names for the "te" locale.
 */
public class LocalizedNamesImpl_te extends LocalizedNamesImpl {

  @Override
  public String[] loadLikelyRegionCodes() {
    return new String[] {
        "IN",
    };
  }

  @Override
  public String[] loadSortedRegionCodes() {
    return new String[] {
        "AO",
        "AQ",
        "AD",
        "AZ",
        "AS",
        "US",
        "AW",
        "AR",
        "DZ",
        "AL",
        "AI",
        "AG",
        "AF",
        "AM",
        "AX",
        "AT",
        "AU",
        "ID",
        "IL",
        "IT",
        "ET",
        "IQ",
        "IR",
        "EC",
        "EG",
        "UA",
        "UG",
        "UZ",
        "KP",
        "MP",
        "UY",
        "GQ",
        "ER",
        "SV",
        "AC",
        "EE",
        "IE",
        "IM",
        "CI",
        "IS",
        "OM",
        "QO",
        "KH",
        "KZ",
        "QA",
        "BQ",
        "CD",
        "CG",
        "CM",
        "KI",
        "KG",
        "CK",
        "CW",
        "KW",
        "CA",
        "KE",
        "IC",
        "CV",
        "KY",
        "KM",
        "CO",
        "XK",
        "CC",
        "CR",
        "CU",
        "CX",
        "NC",
        "HR",
        "CP",
        "GY",
        "GM",
        "GA",
        "GN",
        "GW",
        "GL",
        "GR",
        "GD",
        "GT",
        "GP",
        "GU",
        "GG",
        "GH",
        "TD",
        "CL",
        "CZ",
        "CN",
        "JP",
        "JM",
        "DE",
        "ZM",
        "GE",
        "ZW",
        "DJ",
        "GI",
        "JE",
        "JO",
        "TR",
        "TZ",
        "TL",
        "TV",
        "TO",
        "TK",
        "TG",
        "TN",
        "TT",
        "TA",
        "DG",
        "DK",
        "DO",
        "DM",
        "TJ",
        "TM",
        "TC",
        "TW",
        "TH",
        "ZA",
        "KR",
        "GS",
        "SS",
        "NA",
        "NF",
        "NO",
        "NI",
        "NU",
        "NL",
        "AN",
        "NP",
        "NE",
        "NG",
        "NR",
        "NZ",
        "EH",
        "PA",
        "PW",
        "PK",
        "PG",
        "PS",
        "PN",
        "PY",
        "PE",
        "PT",
        "PL",
        "FK",
        "FO",
        "FJ",
        "FI",
        "PH",
        "PR",
        "FR",
        "GF",
        "TF",
        "PF",
        "BD",
        "BG",
        "BS",
        "BH",
        "BB",
        "BI",
        "BF",
        "BJ",
        "BM",
        "BY",
        "BZ",
        "BE",
        "BO",
        "BV",
        "BW",
        "BA",
        "IO",
        "VG",
        "BN",
        "BR",
        "IN",
        "BT",
        "MN",
        "MG",
        "MM",
        "MY",
        "MO",
        "YT",
        "MU",
        "MQ",
        "MH",
        "MW",
        "ML",
        "MT",
        "MV",
        "MX",
        "MK",
        "FM",
        "MZ",
        "MC",
        "MA",
        "ME",
        "MS",
        "MD",
        "MR",
        "VI",
        "AE",
        "GB",
        "EU",
        "YE",
        "RU",
        "RE",
        "RW",
        "RO",
        "LU",
        "LV",
        "LA",
        "LI",
        "LT",
        "LY",
        "LB",
        "LS",
        "LR",
        "VU",
        "VA",
        "WF",
        "VN",
        "VE",
        "LK",
        "UM",
        "WS",
        "SM",
        "ST",
        "SG",
        "SX",
        "SL",
        "SY",
        "SC",
        "SR",
        "SD",
        "KN",
        "PM",
        "BL",
        "MF",
        "CF",
        "LC",
        "VC",
        "SH",
        "SN",
        "RS",
        "CY",
        "SO",
        "SB",
        "SA",
        "ES",
        "EA",
        "SK",
        "SI",
        "SZ",
        "SJ",
        "CH",
        "SE",
        "HU",
        "HK",
        "HM",
        "HT",
        "HN",
    };
  }

  @Override
  protected void loadNameMapJava() {
    super.loadNameMapJava();
    namesMap.put("001", "ప్రపంచం");
    namesMap.put("002", "ఆఫ్రికా");
    namesMap.put("003", "ఉత్తర అమెరికా");
    namesMap.put("005", "దక్షిణ అమెరికా");
    namesMap.put("009", "ఒషీనియ");
    namesMap.put("011", "పశ్చిమ ఆఫ్రికా భూభాగం");
    namesMap.put("013", "మధ్యమ అమెరికా");
    namesMap.put("014", "తూర్పు ఆఫ్రికా");
    namesMap.put("015", "ఉత్తర ఆఫ్రికా");
    namesMap.put("017", "మధ్యమ ఆఫ్రికా");
    namesMap.put("018", "దక్షిణ ఆఫ్రికా భూభాగం");
    namesMap.put("019", "అమెరికాలు");
    namesMap.put("021", "ఉత్తర అమెరికా భూభాగం");
    namesMap.put("029", "కరిబ్బియన్");
    namesMap.put("030", "తూర్పు ఆసియా");
    namesMap.put("034", "దక్షిణ ఆసియా");
    namesMap.put("035", "నైరుతి ఆసియా");
    namesMap.put("039", "దక్షిణ ఐరోపా");
    namesMap.put("053", "ఆస్ట్రేలేసియా");
    namesMap.put("054", "మెలనేశియ");
    namesMap.put("057", "మైక్రోనేశియ ప్రాంతం");
    namesMap.put("061", "పాలినేషియా");
    namesMap.put("142", "ఆసియా");
    namesMap.put("143", "మధ్య ఆసియా");
    namesMap.put("145", "పడమటి ఆశియా");
    namesMap.put("150", "ఐరోపా");
    namesMap.put("151", "తూర్పు ఐరోపా");
    namesMap.put("154", "ఉత్తర ఐరోపా");
    namesMap.put("155", "పశ్చిమ ఐరోపా");
    namesMap.put("419", "లాటిన్ అమెరికా");
    namesMap.put("AC", "ఎసెషన్ దీవి");
    namesMap.put("AD", "అండొర్రా");
    namesMap.put("AE", "యునైటెడ్ అరబ్ ఎమిరేట్స్");
    namesMap.put("AF", "ఆఫ్ఘనిస్తాన్");
    namesMap.put("AG", "ఆంటిగ్వా మరియు బార్బుడా");
    namesMap.put("AI", "ఆంగవిల్లా");
    namesMap.put("AL", "అల్బేనియా");
    namesMap.put("AM", "ఆర్మేనియా");
    namesMap.put("AN", "నేదేర్లేండ్స్ అంటిల్లిస్");
    namesMap.put("AO", "అంగోలా");
    namesMap.put("AQ", "అంటార్కటికా");
    namesMap.put("AR", "అర్జెంటీనా");
    namesMap.put("AS", "అమెరికన్ సమోవా");
    namesMap.put("AT", "ఆస్ట్రియా");
    namesMap.put("AU", "ఆస్ట్రేలియా");
    namesMap.put("AW", "అరుబా");
    namesMap.put("AX", "ఆలేండ్ దీవులు");
    namesMap.put("AZ", "అజర్బైజాన్");
    namesMap.put("BA", "బోస్నియా మరియు హెర్జెగొవీనా");
    namesMap.put("BB", "బార్బడోస్");
    namesMap.put("BD", "బంగ్లాదేశ్");
    namesMap.put("BE", "బెల్జియం");
    namesMap.put("BF", "బుర్కినా ఫాసో");
    namesMap.put("BG", "బల్గేరియా");
    namesMap.put("BH", "బహ్రెయిన్");
    namesMap.put("BI", "బురుండి");
    namesMap.put("BJ", "బెనిన్");
    namesMap.put("BL", "సెంట్ బర్తేలెమీ");
    namesMap.put("BM", "బెర్ముడా");
    namesMap.put("BN", "బ్రూనై");
    namesMap.put("BO", "బొలీవియా");
    namesMap.put("BQ", "కరీబియన్ నెదర్లాండ్స్");
    namesMap.put("BR", "బ్రెజిల్");
    namesMap.put("BS", "బహామాస్");
    namesMap.put("BT", "భూటాన్");
    namesMap.put("BV", "బొవెట్ దీవి");
    namesMap.put("BW", "బోట్స్వానా");
    namesMap.put("BY", "బెలారస్");
    namesMap.put("BZ", "బెలిజ్");
    namesMap.put("CA", "కెనడా");
    namesMap.put("CC", "కోకోస్ దీవులు");
    namesMap.put("CD", "కాంగో- కిన్షాసా");
    namesMap.put("CF", "సెంట్రల్ ఆఫ్రికన్ రిపబ్లిక్");
    namesMap.put("CG", "కాంగో- బ్రాజావిల్లి");
    namesMap.put("CH", "స్విట్జర్లాండ్");
    namesMap.put("CI", "ఐవరీ కోస్ట్");
    namesMap.put("CK", "కుక్ దీవులు");
    namesMap.put("CL", "చిలీ");
    namesMap.put("CM", "కామెరూన్");
    namesMap.put("CN", "చైనా");
    namesMap.put("CO", "కొలంబియా");
    namesMap.put("CP", "క్లిప్పర్టన్ దీవి");
    namesMap.put("CR", "కోస్టారికా");
    namesMap.put("CU", "క్యూబా");
    namesMap.put("CV", "కేప్ వెర్డే");
    namesMap.put("CW", "కురాకవో");
    namesMap.put("CX", "క్రిస్మస్ దీవి");
    namesMap.put("CY", "సైప్రస్");
    namesMap.put("CZ", "చెక్ రిపబ్లిక్");
    namesMap.put("DE", "జర్మనీ");
    namesMap.put("DG", "డియాగో గార్సియా");
    namesMap.put("DJ", "జిబౌటి");
    namesMap.put("DK", "డెన్మార్క్");
    namesMap.put("DM", "డోమెనిక");
    namesMap.put("DO", "డొమెనికన్ రిపబ్లిక్");
    namesMap.put("DZ", "అల్జీరియా");
    namesMap.put("EA", "స్యూటా మరియు మెలిల్లా");
    namesMap.put("EC", "ఈక్వడార్");
    namesMap.put("EE", "ఎస్టోనియా");
    namesMap.put("EG", "ఈజిప్ట్");
    namesMap.put("EH", "పడమటి సహారా");
    namesMap.put("ER", "ఎరిట్రియా");
    namesMap.put("ES", "స్పెయిన్");
    namesMap.put("ET", "ఇథియోపియా");
    namesMap.put("EU", "యురోపియన్ యునియన్");
    namesMap.put("FI", "ఫిన్లాండ్");
    namesMap.put("FJ", "ఫిజీ");
    namesMap.put("FK", "ఫాక్‌ల్యాండ్ దీవులు");
    namesMap.put("FM", "మైక్రోనేశియ");
    namesMap.put("FO", "ఫారో దీవులు");
    namesMap.put("FR", "ఫ్రాన్స్‌");
    namesMap.put("GA", "గాబన్");
    namesMap.put("GB", "యునైటెడ్ కింగ్‌డమ్");
    namesMap.put("GD", "గ్రెనెడా");
    namesMap.put("GE", "జార్జియా");
    namesMap.put("GF", "ఫ్రెంచ్ గియానా");
    namesMap.put("GG", "గ్వేర్నసే");
    namesMap.put("GH", "ఘనా");
    namesMap.put("GI", "జిబ్రాల్టార్");
    namesMap.put("GL", "గ్రీన్‌లాండ్");
    namesMap.put("GM", "గాంబియా");
    namesMap.put("GN", "గినియా");
    namesMap.put("GP", "గ్వాడేలోప్");
    namesMap.put("GQ", "ఎక్వేటోరియాల్ గినియా");
    namesMap.put("GR", "గ్రీస్");
    namesMap.put("GS", "దక్షిణ జార్జియా మరియు దక్షిణ సాండ్విచ్ దీవులు");
    namesMap.put("GT", "గ్వాటిమాల");
    namesMap.put("GU", "గ్వామ్");
    namesMap.put("GW", "గినియా-బిస్సావ్");
    namesMap.put("GY", "గయానా");
    namesMap.put("HK", "హాంకాంగ్ ఎస్ఏఆర్ చైనా");
    namesMap.put("HM", "హెర్డ్ & మాక్ డోనాల్డ్ దీవులు");
    namesMap.put("HN", "హోండురాస్");
    namesMap.put("HR", "క్రోయేషియా");
    namesMap.put("HT", "హైటి");
    namesMap.put("HU", "హంగేరీ");
    namesMap.put("IC", "కేనరీ దీవులు");
    namesMap.put("ID", "ఇండోనేషియా");
    namesMap.put("IE", "ఐర్లాండ్");
    namesMap.put("IL", "ఇజ్రాయిల్");
    namesMap.put("IM", "ఐల్ ఆఫ్ మాన్");
    namesMap.put("IN", "భారత దేశం");
    namesMap.put("IO", "బ్రిటిష్ భారతీయ ఓషన్ ప్రాంతం");
    namesMap.put("IQ", "ఇరాక్");
    namesMap.put("IR", "ఇరాన్");
    namesMap.put("IS", "ఐస్లాండ్");
    namesMap.put("IT", "ఇటలీ");
    namesMap.put("JE", "జెర్సీ");
    namesMap.put("JM", "జమైకా");
    namesMap.put("JO", "జోర్డాన్");
    namesMap.put("JP", "జపాన్");
    namesMap.put("KE", "కెన్యా");
    namesMap.put("KG", "కిర్గిజిస్తాన్");
    namesMap.put("KH", "కంబోడియా");
    namesMap.put("KI", "కిరిబాటి");
    namesMap.put("KM", "కొమొరోస్");
    namesMap.put("KN", "సెంట్ కిట్ట్స్ మరియు నెవిస్");
    namesMap.put("KP", "ఉత్తర కొరియా");
    namesMap.put("KR", "దక్షిణ కొరియా");
    namesMap.put("KW", "కువైట్");
    namesMap.put("KY", "కేమాన్ దీవులు");
    namesMap.put("KZ", "కజకస్తాన్");
    namesMap.put("LA", "లావోస్");
    namesMap.put("LB", "లెబనాన్");
    namesMap.put("LC", "సెంట్ లూసియా");
    namesMap.put("LI", "లిక్టెస్టేన్");
    namesMap.put("LK", "శ్రీలంక");
    namesMap.put("LR", "లైబీరియా");
    namesMap.put("LS", "లెసోతో");
    namesMap.put("LT", "లిథువేనియా");
    namesMap.put("LU", "లక్సంబర్గ్");
    namesMap.put("LV", "లాత్వియా");
    namesMap.put("LY", "లిబియా");
    namesMap.put("MA", "మొరాక్కో");
    namesMap.put("MC", "మొనాకో");
    namesMap.put("MD", "మోల్డోవా");
    namesMap.put("ME", "మోంటేనేగ్రో");
    namesMap.put("MF", "సెంట్ మార్టిన్");
    namesMap.put("MG", "మడగాస్కర్");
    namesMap.put("MH", "మార్షల్ దీవులు");
    namesMap.put("MK", "మేసిడోనియా");
    namesMap.put("ML", "మాలి");
    namesMap.put("MM", "మయన్మార్ (బర్మా)");
    namesMap.put("MN", "మంగోలియా");
    namesMap.put("MO", "మాకావ్ ఎస్ఏఆర్ చైనా");
    namesMap.put("MP", "ఉత్తర మరియానా దీవులు");
    namesMap.put("MQ", "మార్టినిక్");
    namesMap.put("MR", "మౌరిటేనియా");
    namesMap.put("MS", "మోంట్సేర్రాట్");
    namesMap.put("MT", "మాల్టా");
    namesMap.put("MU", "మారిషస్");
    namesMap.put("MV", "మాల్దీవులు");
    namesMap.put("MW", "మాలావి");
    namesMap.put("MX", "మెక్సికో");
    namesMap.put("MY", "మలేషియా");
    namesMap.put("MZ", "మొజాంబిక్");
    namesMap.put("NA", "నమీబియా");
    namesMap.put("NC", "క్రొత్త కాలెడోనియా");
    namesMap.put("NE", "నైజర్");
    namesMap.put("NF", "నార్ఫాక్ దీవి");
    namesMap.put("NG", "నైజీరియా");
    namesMap.put("NI", "నికరాగువా");
    namesMap.put("NL", "నెదర్లాండ్స్");
    namesMap.put("NO", "నార్వే");
    namesMap.put("NP", "నేపాల్");
    namesMap.put("NR", "నౌరు");
    namesMap.put("NU", "నియు");
    namesMap.put("NZ", "న్యూజిలాండ్");
    namesMap.put("OM", "ఒమన్");
    namesMap.put("PA", "పనామా");
    namesMap.put("PE", "పెరూ");
    namesMap.put("PF", "ఫ్రెంచ్ పోలినిషియా");
    namesMap.put("PG", "పాపువా న్యు గినియా");
    namesMap.put("PH", "ఫిలిప్పీన్స్");
    namesMap.put("PK", "పాకిస్తాన్");
    namesMap.put("PL", "పోలాండ్");
    namesMap.put("PM", "సెంట్ పియెర్ మరియు మికెలాన్");
    namesMap.put("PN", "పిట్‌కెయిర్న్ దీవులు");
    namesMap.put("PR", "ఫ్యూర్టో రికో");
    namesMap.put("PS", "పాలిస్తినియాన్ ప్రాంతం");
    namesMap.put("PT", "పోర్చుగల్");
    namesMap.put("PW", "పలావు");
    namesMap.put("PY", "పెరగువే");
    namesMap.put("QA", "కతర్");
    namesMap.put("QO", "ఒషీనియా బయటున్నవి");
    namesMap.put("RE", "రియూనియన్");
    namesMap.put("RO", "రోమానియా");
    namesMap.put("RS", "సెర్బియా");
    namesMap.put("RU", "రష్యా");
    namesMap.put("RW", "రువాండా");
    namesMap.put("SA", "సౌదీ అరేబియా");
    namesMap.put("SB", "సోలమన్ దీవులు");
    namesMap.put("SC", "సీషెల్స్");
    namesMap.put("SD", "సూడాన్");
    namesMap.put("SE", "స్వీడన్");
    namesMap.put("SG", "సింగపూర్");
    namesMap.put("SH", "సెంట్ హెలినా");
    namesMap.put("SI", "స్లోవేనియా");
    namesMap.put("SJ", "స్వాల్బార్డ్ మరియు యాన్ మాయేన్");
    namesMap.put("SK", "స్లోవేకియా");
    namesMap.put("SL", "సియెర్రా లియాన్");
    namesMap.put("SM", "సాన్ మారినో");
    namesMap.put("SN", "సెనెగల్");
    namesMap.put("SO", "సోమాలియా");
    namesMap.put("SR", "సురినామ్");
    namesMap.put("SS", "దక్షిణ సూడాన్");
    namesMap.put("ST", "సావోటోమ్ మరియు ప్రిన్సిపే");
    namesMap.put("SV", "ఎల్ సాల్వడోర్");
    namesMap.put("SX", "సింట్ మార్టెన్");
    namesMap.put("SY", "సిరియా");
    namesMap.put("SZ", "స్వాజీలేండ్");
    namesMap.put("TA", "ట్రిస్టన్ డ కన్హా");
    namesMap.put("TC", "తుర్క్ మరియు కాలికోస్ దీవులు");
    namesMap.put("TD", "చాద్");
    namesMap.put("TF", "ఫ్రెంచ్ దక్షిణ ప్రాంతాలు");
    namesMap.put("TG", "టోగో");
    namesMap.put("TH", "థాయిలాండ్");
    namesMap.put("TJ", "తజికిస్తాన్");
    namesMap.put("TK", "టోకేలావ్");
    namesMap.put("TL", "టిమోర్-లెస్టె");
    namesMap.put("TM", "తుర్కమేనిస్తాన్");
    namesMap.put("TN", "ట్యునీషియా");
    namesMap.put("TO", "టోంగా");
    namesMap.put("TR", "టర్కీ");
    namesMap.put("TT", "ట్రినిడాడ్ మరియు టొబాగో");
    namesMap.put("TV", "టువాలు");
    namesMap.put("TW", "తైవాన్");
    namesMap.put("TZ", "టాంజానియా");
    namesMap.put("UA", "ఉక్రెయిన్");
    namesMap.put("UG", "ఉగాండా");
    namesMap.put("UM", "సంయుక్త రాజ్య అమెరికా బయట ఉన్న దీవులు");
    namesMap.put("US", "అమెరికా సంయుక్త రాష్ట్రాలు");
    namesMap.put("UY", "ఉరుగువే");
    namesMap.put("UZ", "ఉజ్బెకిస్తాన్");
    namesMap.put("VA", "వాటికన్ నగరం");
    namesMap.put("VC", "సెంట్ విన్సెంట్ మరియు గ్రెనడీన్స్");
    namesMap.put("VE", "వెనుజువేలా");
    namesMap.put("VG", "బ్రిటిష్ వర్జిన్ దీవులు");
    namesMap.put("VI", "యు.ఎస్. వర్జిన్ దీవులు");
    namesMap.put("VN", "వియత్నాం");
    namesMap.put("VU", "వనాటు");
    namesMap.put("WF", "వాలిస్ మరియు ఫ్యుత్యునా");
    namesMap.put("WS", "సమోవా");
    namesMap.put("XK", "కొసోవో");
    namesMap.put("YE", "యెమెన్");
    namesMap.put("YT", "మాయొట్టి");
    namesMap.put("ZA", "దక్షిణ ఆఫ్రికా");
    namesMap.put("ZM", "జాంబియా");
    namesMap.put("ZW", "జింబాబ్వే");
    namesMap.put("ZZ", "తెలియని ప్రాంతం");
  }

  @Override
  protected JavaScriptObject loadNameMapNative() {
    return overrideMap(super.loadNameMapNative(), loadMyNameMap());
  }

  private native JavaScriptObject loadMyNameMap() /*-{
    return {
        "001": "ప్రపంచం",
        "002": "ఆఫ్రికా",
        "003": "ఉత్తర అమెరికా",
        "005": "దక్షిణ అమెరికా",
        "009": "ఒషీనియ",
        "011": "పశ్చిమ ఆఫ్రికా భూభాగం",
        "013": "మధ్యమ అమెరికా",
        "014": "తూర్పు ఆఫ్రికా",
        "015": "ఉత్తర ఆఫ్రికా",
        "017": "మధ్యమ ఆఫ్రికా",
        "018": "దక్షిణ ఆఫ్రికా భూభాగం",
        "019": "అమెరికాలు",
        "021": "ఉత్తర అమెరికా భూభాగం",
        "029": "కరిబ్బియన్",
        "030": "తూర్పు ఆసియా",
        "034": "దక్షిణ ఆసియా",
        "035": "నైరుతి ఆసియా",
        "039": "దక్షిణ ఐరోపా",
        "053": "ఆస్ట్రేలేసియా",
        "054": "మెలనేశియ",
        "057": "మైక్రోనేశియ ప్రాంతం",
        "061": "పాలినేషియా",
        "142": "ఆసియా",
        "143": "మధ్య ఆసియా",
        "145": "పడమటి ఆశియా",
        "150": "ఐరోపా",
        "151": "తూర్పు ఐరోపా",
        "154": "ఉత్తర ఐరోపా",
        "155": "పశ్చిమ ఐరోపా",
        "419": "లాటిన్ అమెరికా",
        "AC": "ఎసెషన్ దీవి",
        "AD": "అండొర్రా",
        "AE": "యునైటెడ్ అరబ్ ఎమిరేట్స్",
        "AF": "ఆఫ్ఘనిస్తాన్",
        "AG": "ఆంటిగ్వా మరియు బార్బుడా",
        "AI": "ఆంగవిల్లా",
        "AL": "అల్బేనియా",
        "AM": "ఆర్మేనియా",
        "AN": "నేదేర్లేండ్స్ అంటిల్లిస్",
        "AO": "అంగోలా",
        "AQ": "అంటార్కటికా",
        "AR": "అర్జెంటీనా",
        "AS": "అమెరికన్ సమోవా",
        "AT": "ఆస్ట్రియా",
        "AU": "ఆస్ట్రేలియా",
        "AW": "అరుబా",
        "AX": "ఆలేండ్ దీవులు",
        "AZ": "అజర్బైజాన్",
        "BA": "బోస్నియా మరియు హెర్జెగొవీనా",
        "BB": "బార్బడోస్",
        "BD": "బంగ్లాదేశ్",
        "BE": "బెల్జియం",
        "BF": "బుర్కినా ఫాసో",
        "BG": "బల్గేరియా",
        "BH": "బహ్రెయిన్",
        "BI": "బురుండి",
        "BJ": "బెనిన్",
        "BL": "సెంట్ బర్తేలెమీ",
        "BM": "బెర్ముడా",
        "BN": "బ్రూనై",
        "BO": "బొలీవియా",
        "BQ": "కరీబియన్ నెదర్లాండ్స్",
        "BR": "బ్రెజిల్",
        "BS": "బహామాస్",
        "BT": "భూటాన్",
        "BV": "బొవెట్ దీవి",
        "BW": "బోట్స్వానా",
        "BY": "బెలారస్",
        "BZ": "బెలిజ్",
        "CA": "కెనడా",
        "CC": "కోకోస్ దీవులు",
        "CD": "కాంగో- కిన్షాసా",
        "CF": "సెంట్రల్ ఆఫ్రికన్ రిపబ్లిక్",
        "CG": "కాంగో- బ్రాజావిల్లి",
        "CH": "స్విట్జర్లాండ్",
        "CI": "ఐవరీ కోస్ట్",
        "CK": "కుక్ దీవులు",
        "CL": "చిలీ",
        "CM": "కామెరూన్",
        "CN": "చైనా",
        "CO": "కొలంబియా",
        "CP": "క్లిప్పర్టన్ దీవి",
        "CR": "కోస్టారికా",
        "CU": "క్యూబా",
        "CV": "కేప్ వెర్డే",
        "CW": "కురాకవో",
        "CX": "క్రిస్మస్ దీవి",
        "CY": "సైప్రస్",
        "CZ": "చెక్ రిపబ్లిక్",
        "DE": "జర్మనీ",
        "DG": "డియాగో గార్సియా",
        "DJ": "జిబౌటి",
        "DK": "డెన్మార్క్",
        "DM": "డోమెనిక",
        "DO": "డొమెనికన్ రిపబ్లిక్",
        "DZ": "అల్జీరియా",
        "EA": "స్యూటా మరియు మెలిల్లా",
        "EC": "ఈక్వడార్",
        "EE": "ఎస్టోనియా",
        "EG": "ఈజిప్ట్",
        "EH": "పడమటి సహారా",
        "ER": "ఎరిట్రియా",
        "ES": "స్పెయిన్",
        "ET": "ఇథియోపియా",
        "EU": "యురోపియన్ యునియన్",
        "FI": "ఫిన్లాండ్",
        "FJ": "ఫిజీ",
        "FK": "ఫాక్‌ల్యాండ్ దీవులు",
        "FM": "మైక్రోనేశియ",
        "FO": "ఫారో దీవులు",
        "FR": "ఫ్రాన్స్‌",
        "GA": "గాబన్",
        "GB": "యునైటెడ్ కింగ్‌డమ్",
        "GD": "గ్రెనెడా",
        "GE": "జార్జియా",
        "GF": "ఫ్రెంచ్ గియానా",
        "GG": "గ్వేర్నసే",
        "GH": "ఘనా",
        "GI": "జిబ్రాల్టార్",
        "GL": "గ్రీన్‌లాండ్",
        "GM": "గాంబియా",
        "GN": "గినియా",
        "GP": "గ్వాడేలోప్",
        "GQ": "ఎక్వేటోరియాల్ గినియా",
        "GR": "గ్రీస్",
        "GS": "దక్షిణ జార్జియా మరియు దక్షిణ సాండ్విచ్ దీవులు",
        "GT": "గ్వాటిమాల",
        "GU": "గ్వామ్",
        "GW": "గినియా-బిస్సావ్",
        "GY": "గయానా",
        "HK": "హాంకాంగ్ ఎస్ఏఆర్ చైనా",
        "HM": "హెర్డ్ & మాక్ డోనాల్డ్ దీవులు",
        "HN": "హోండురాస్",
        "HR": "క్రోయేషియా",
        "HT": "హైటి",
        "HU": "హంగేరీ",
        "IC": "కేనరీ దీవులు",
        "ID": "ఇండోనేషియా",
        "IE": "ఐర్లాండ్",
        "IL": "ఇజ్రాయిల్",
        "IM": "ఐల్ ఆఫ్ మాన్",
        "IN": "భారత దేశం",
        "IO": "బ్రిటిష్ భారతీయ ఓషన్ ప్రాంతం",
        "IQ": "ఇరాక్",
        "IR": "ఇరాన్",
        "IS": "ఐస్లాండ్",
        "IT": "ఇటలీ",
        "JE": "జెర్సీ",
        "JM": "జమైకా",
        "JO": "జోర్డాన్",
        "JP": "జపాన్",
        "KE": "కెన్యా",
        "KG": "కిర్గిజిస్తాన్",
        "KH": "కంబోడియా",
        "KI": "కిరిబాటి",
        "KM": "కొమొరోస్",
        "KN": "సెంట్ కిట్ట్స్ మరియు నెవిస్",
        "KP": "ఉత్తర కొరియా",
        "KR": "దక్షిణ కొరియా",
        "KW": "కువైట్",
        "KY": "కేమాన్ దీవులు",
        "KZ": "కజకస్తాన్",
        "LA": "లావోస్",
        "LB": "లెబనాన్",
        "LC": "సెంట్ లూసియా",
        "LI": "లిక్టెస్టేన్",
        "LK": "శ్రీలంక",
        "LR": "లైబీరియా",
        "LS": "లెసోతో",
        "LT": "లిథువేనియా",
        "LU": "లక్సంబర్గ్",
        "LV": "లాత్వియా",
        "LY": "లిబియా",
        "MA": "మొరాక్కో",
        "MC": "మొనాకో",
        "MD": "మోల్డోవా",
        "ME": "మోంటేనేగ్రో",
        "MF": "సెంట్ మార్టిన్",
        "MG": "మడగాస్కర్",
        "MH": "మార్షల్ దీవులు",
        "MK": "మేసిడోనియా",
        "ML": "మాలి",
        "MM": "మయన్మార్ (బర్మా)",
        "MN": "మంగోలియా",
        "MO": "మాకావ్ ఎస్ఏఆర్ చైనా",
        "MP": "ఉత్తర మరియానా దీవులు",
        "MQ": "మార్టినిక్",
        "MR": "మౌరిటేనియా",
        "MS": "మోంట్సేర్రాట్",
        "MT": "మాల్టా",
        "MU": "మారిషస్",
        "MV": "మాల్దీవులు",
        "MW": "మాలావి",
        "MX": "మెక్సికో",
        "MY": "మలేషియా",
        "MZ": "మొజాంబిక్",
        "NA": "నమీబియా",
        "NC": "క్రొత్త కాలెడోనియా",
        "NE": "నైజర్",
        "NF": "నార్ఫాక్ దీవి",
        "NG": "నైజీరియా",
        "NI": "నికరాగువా",
        "NL": "నెదర్లాండ్స్",
        "NO": "నార్వే",
        "NP": "నేపాల్",
        "NR": "నౌరు",
        "NU": "నియు",
        "NZ": "న్యూజిలాండ్",
        "OM": "ఒమన్",
        "PA": "పనామా",
        "PE": "పెరూ",
        "PF": "ఫ్రెంచ్ పోలినిషియా",
        "PG": "పాపువా న్యు గినియా",
        "PH": "ఫిలిప్పీన్స్",
        "PK": "పాకిస్తాన్",
        "PL": "పోలాండ్",
        "PM": "సెంట్ పియెర్ మరియు మికెలాన్",
        "PN": "పిట్‌కెయిర్న్ దీవులు",
        "PR": "ఫ్యూర్టో రికో",
        "PS": "పాలిస్తినియాన్ ప్రాంతం",
        "PT": "పోర్చుగల్",
        "PW": "పలావు",
        "PY": "పెరగువే",
        "QA": "కతర్",
        "QO": "ఒషీనియా బయటున్నవి",
        "RE": "రియూనియన్",
        "RO": "రోమానియా",
        "RS": "సెర్బియా",
        "RU": "రష్యా",
        "RW": "రువాండా",
        "SA": "సౌదీ అరేబియా",
        "SB": "సోలమన్ దీవులు",
        "SC": "సీషెల్స్",
        "SD": "సూడాన్",
        "SE": "స్వీడన్",
        "SG": "సింగపూర్",
        "SH": "సెంట్ హెలినా",
        "SI": "స్లోవేనియా",
        "SJ": "స్వాల్బార్డ్ మరియు యాన్ మాయేన్",
        "SK": "స్లోవేకియా",
        "SL": "సియెర్రా లియాన్",
        "SM": "సాన్ మారినో",
        "SN": "సెనెగల్",
        "SO": "సోమాలియా",
        "SR": "సురినామ్",
        "SS": "దక్షిణ సూడాన్",
        "ST": "సావోటోమ్ మరియు ప్రిన్సిపే",
        "SV": "ఎల్ సాల్వడోర్",
        "SX": "సింట్ మార్టెన్",
        "SY": "సిరియా",
        "SZ": "స్వాజీలేండ్",
        "TA": "ట్రిస్టన్ డ కన్హా",
        "TC": "తుర్క్ మరియు కాలికోస్ దీవులు",
        "TD": "చాద్",
        "TF": "ఫ్రెంచ్ దక్షిణ ప్రాంతాలు",
        "TG": "టోగో",
        "TH": "థాయిలాండ్",
        "TJ": "తజికిస్తాన్",
        "TK": "టోకేలావ్",
        "TL": "టిమోర్-లెస్టె",
        "TM": "తుర్కమేనిస్తాన్",
        "TN": "ట్యునీషియా",
        "TO": "టోంగా",
        "TR": "టర్కీ",
        "TT": "ట్రినిడాడ్ మరియు టొబాగో",
        "TV": "టువాలు",
        "TW": "తైవాన్",
        "TZ": "టాంజానియా",
        "UA": "ఉక్రెయిన్",
        "UG": "ఉగాండా",
        "UM": "సంయుక్త రాజ్య అమెరికా బయట ఉన్న దీవులు",
        "US": "అమెరికా సంయుక్త రాష్ట్రాలు",
        "UY": "ఉరుగువే",
        "UZ": "ఉజ్బెకిస్తాన్",
        "VA": "వాటికన్ నగరం",
        "VC": "సెంట్ విన్సెంట్ మరియు గ్రెనడీన్స్",
        "VE": "వెనుజువేలా",
        "VG": "బ్రిటిష్ వర్జిన్ దీవులు",
        "VI": "యు.ఎస్. వర్జిన్ దీవులు",
        "VN": "వియత్నాం",
        "VU": "వనాటు",
        "WF": "వాలిస్ మరియు ఫ్యుత్యునా",
        "WS": "సమోవా",
        "XK": "కొసోవో",
        "YE": "యెమెన్",
        "YT": "మాయొట్టి",
        "ZA": "దక్షిణ ఆఫ్రికా",
        "ZM": "జాంబియా",
        "ZW": "జింబాబ్వే",
        "ZZ": "తెలియని ప్రాంతం"
    };
  }-*/;
}
