/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.shared.impl.cldr;
// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA

/**
 * Implementation of DateTimeFormatInfo for the "uz" locale.
 */
public class DateTimeFormatInfoImpl_uz extends DateTimeFormatInfoImpl {

  @Override
  public String dateFormatFull() {
    return "EEEE, y MMMM dd";
  }

  @Override
  public String dateFormatShort() {
    return "yy/MM/dd";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "M.A.",
        "E"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "M.A.",
        "E"
    };
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "Yanvar",
        "Fevral",
        "Mart",
        "Aprel",
        "May",
        "Iyun",
        "Iyul",
        "Avgust",
        "Sentyabr",
        "Oktyabr",
        "Noyabr",
        "Dekabr"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "Y",
        "F",
        "M",
        "A",
        "M",
        "I",
        "I",
        "A",
        "S",
        "O",
        "N",
        "D"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "Yanv",
        "Fev",
        "Mar",
        "Apr",
        "May",
        "Iyun",
        "Iyul",
        "Avg",
        "Sen",
        "Okt",
        "Noya",
        "Dek"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "1-chorak",
        "2-chorak",
        "3-chorak",
        "4-chorak"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "1-ch",
        "2-ch",
        "3-ch",
        "4-ch"
    };
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "yakshanba",
        "dushanba",
        "seshanba",
        "chorshanba",
        "payshanba",
        "juma",
        "shanba"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "Y",
        "D",
        "S",
        "C",
        "P",
        "J",
        "S"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "Yaksh",
        "Dush",
        "Sesh",
        "Chor",
        "Pay",
        "Jum",
        "Shan"
    };
  }
}
