/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.shared.impl.cldr;
// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA

/**
 * Implementation of DateTimeFormatInfo for the "vi" locale.
 */
public class DateTimeFormatInfoImpl_vi extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "SA",
        "CH"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE, 'ngày' dd MMMM 'năm' y";
  }

  @Override
  public String dateFormatLong() {
    return "'Ngày' dd 'tháng' MM 'năm' y";
  }

  @Override
  public String dateFormatMedium() {
    return "dd-MM-y";
  }

  @Override
  public String dateFormatShort() {
    return "dd/MM/y";
  }

  @Override
  public String dateTimeFull(String timePattern, String datePattern) {
    return timePattern + " " + datePattern;
  }

  @Override
  public String dateTimeLong(String timePattern, String datePattern) {
    return timePattern + " " + datePattern;
  }

  @Override
  public String dateTimeMedium(String timePattern, String datePattern) {
    return timePattern + " " + datePattern;
  }

  @Override
  public String dateTimeShort(String timePattern, String datePattern) {
    return timePattern + " " + datePattern;
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "tr. CN",
        "sau CN"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "tr. CN",
        "sau CN"
    };
  }

  @Override
  public String formatMonthAbbrevDay() {
    return "dd MMM";
  }

  @Override
  public String formatMonthFullDay() {
    return "dd MMMM";
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE, dd MMMM";
  }

  @Override
  public String formatMonthNumDay() {
    return "dd-M";
  }

  @Override
  public String formatYear() {
    return "'Năm' y";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "dd MMM, y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "dd MMMM, y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearMonthNumDay() {
    return "d/M/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE, dd MMM y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "tháng 1",
        "tháng 2",
        "tháng 3",
        "tháng 4",
        "tháng 5",
        "tháng 6",
        "tháng 7",
        "tháng 8",
        "tháng 9",
        "tháng 10",
        "tháng 11",
        "tháng 12"
    };
  }

  @Override
  public String[] monthsFullStandalone() {
    return new String[] {
        "Tháng 1",
        "Tháng 2",
        "Tháng 3",
        "Tháng 4",
        "Tháng 5",
        "Tháng 6",
        "Tháng 7",
        "Tháng 8",
        "Tháng 9",
        "Tháng 10",
        "Tháng 11",
        "Tháng 12"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "1",
        "2",
        "3",
        "4",
        "5",
        "6",
        "7",
        "8",
        "9",
        "10",
        "11",
        "12"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "thg 1",
        "thg 2",
        "thg 3",
        "thg 4",
        "thg 5",
        "thg 6",
        "thg 7",
        "thg 8",
        "thg 9",
        "thg 10",
        "thg 11",
        "thg 12"
    };
  }

  @Override
  public String[] monthsShortStandalone() {
    return new String[] {
        "Thg 1",
        "Thg 2",
        "Thg 3",
        "Thg 4",
        "Thg 5",
        "Thg 6",
        "Thg 7",
        "Thg 8",
        "Thg 9",
        "Thg 10",
        "Thg 11",
        "Thg 12"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "Quý 1",
        "Quý 2",
        "Quý 3",
        "Quý 4"
    };
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "Chủ Nhật",
        "Thứ Hai",
        "Thứ Ba",
        "Thứ Tư",
        "Thứ Năm",
        "Thứ Sáu",
        "Thứ Bảy"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "CN",
        "T2",
        "T3",
        "T4",
        "T5",
        "T6",
        "T7"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "CN",
        "Th 2",
        "Th 3",
        "Th 4",
        "Th 5",
        "Th 6",
        "Th 7"
    };
  }
}
